GNU logs - #50869, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50869: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Resent-From: "Shuguang Sun" <shuguang79@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 28 Sep 2021 15:49:01 +0000
Resent-Message-ID: <handler.50869.B.163284412817706 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 50869
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 50869 <at> debbugs.gnu.org
X-Debbugs-Original-To: "bug-gnu-emacs" <bug-gnu-emacs@HIDDEN>
Received: via spool by submit <at> debbugs.gnu.org id=B.163284412817706
          (code B ref -1); Tue, 28 Sep 2021 15:49:01 +0000
Received: (at submit) by debbugs.gnu.org; 28 Sep 2021 15:48:48 +0000
Received: from localhost ([127.0.0.1]:46751 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVFLb-0004bW-R3
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 11:48:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:46094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shuguang79@HIDDEN>) id 1mVFLY-0004bK-FE
 for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 11:48:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54748)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <shuguang79@HIDDEN>) id 1mVFLY-0005da-7E
 for bug-gnu-emacs@HIDDEN; Tue, 28 Sep 2021 11:48:44 -0400
Received: from out203-205-221-149.mail.qq.com ([203.205.221.149]:33497)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <shuguang79@HIDDEN>) id 1mVFLQ-0008Mj-Hu
 for bug-gnu-emacs@HIDDEN; Tue, 28 Sep 2021 11:48:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1632844105; bh=pGUQrHGdSJLLMhst1bQEHoxRO3Foc8WCCoo0os7fXjg=;
 h=From:To:Subject:Date;
 b=Mb6JGhDWWlrFGLkNzFeTu+zne7olAFlAFo1Ao1UVW2WayaOzoxnpiThRLoodoiDU/
 mb6fIs/vzmHGp/Fb+NcvJQ41nhbypWtM6vQtMs2zGMpoUSvBUyDdfREAN0uhPWl/0e
 OWyaJFKVJohbiclNXay0rrnlXCsW0PGHUvNxcTV0=
X-QQ-FEAT: oHWrrGTW1dBr498/DCRbsggS5C9bFJb1
X-QQ-SSF: 00000000000000F000000000000000G
X-QQ-XMAILINFO: OOWntbL6xj16fzRnOPK11yuTKWc1KCIqJzrRi9hDui18PUwRRi3yBIFQJgNgbf
 oKOlH0A0ObuNsuoE6a6FQEqJry9l8MlWZGOqUvWv6GVC040ZxyBTP7A5FPWnG7eGDtYob6dZhL61W
 3IfWxOvI+asFUAyOl3He6FIzk2xizxuIJTdJxKx0JLEgS3rP8Rnreg6hYehvITTDYBapjCRxf4TRW
 jtIFygEI9sHlV7FeFJBBfadPiWDYUrzYdZdGtahMtJHBzPUfEMe7rDnfOCGdM8gfh6W5TLM9NsyMS
 GDuJcdp9KEe7hv8gkz7gtVMU3cY/v5De2EBQl4uxlq2kRR+Vyn4mPY6nygi2FjRSRqZqtpAWbUKPH
 2Mk/GspJbHDiSy09NuFFX5mb/60C+K8yHDvt2JQmjHguyWF0FwNkVs0GPH1kUo6YlqtABG/t7ln8v
 r+CQw9MBP6okU3Iq1icBryBP/hClt8g+LoQWuXaLFglfViivJI4g/ZK3mjKnWkxC7DEHB7+gGNvsN
 OXc/WRGCvZQUP3tKIgWaldYIZ4cvQA6nBQ8fH9NEK4hK3kz25jbC3DfzteJnEhiopFfNP3IeItYgQ
 /ESjHFQ34H0gWsKtzqIQyH82fZ89t8JaBwWQ6qZSDlhsMRpekCcwURE7vV/udpSZ/1966+G7nIBe8
 TT3pgSpytad2ST2+gzSdzrlFqV6IwdF+khHj8ECUj1OR+5aieYj4USiVdnFmFupxnxJAOVxOW4Bm2
 sF5vo0cILzriElU0fYXlIW9unNwToJfA8LpnpTJ2M2Zui2gbxtkNUk+aemKknXTx6ARyfaphyf1wT
 d9dHwQJHCw0e2isenA/Ylpo=
X-HAS-ATTACH: no
X-QQ-BUSINESS-ORIGIN: 2
X-Originating-IP: 101.88.91.228
X-QQ-STYLE: 
X-QQ-mid: webmail225t1632842144t6662522
From: "Shuguang Sun" <shuguang79@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----=_NextPart_615331A0_10376258_17F0FA3B"
Content-Transfer-Encoding: 8Bit
Date: Tue, 28 Sep 2021 23:15:44 +0800
X-Priority: 3
Message-ID: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
X-QQ-MIME: TCMime 1.0 by Tencent
X-Mailer: QQMail 2.x
X-QQ-Mailer: QQMail 2.x
Received-SPF: pass client-ip=203.205.221.149; envelope-from=shuguang79@HIDDEN;
 helo=out203-205-221-149.mail.qq.com
X-Spam_score_int: 30
X-Spam_score: 3.0
X-Spam_bar: +++
X-Spam_report: (3.0 / 5.0 requ) BAYES_40=-0.001, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, FROM_EXCESS_BASE64=0.001,
 HELO_DYNAMIC_IPADDR=1.951, HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, RDNS_DYNAMIC=0.982, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

This is a multi-part message in MIME format.

------=_NextPart_615331A0_10376258_17F0FA3B
Content-Type: text/plain;
	charset="ISO-8859-1"
Content-Transfer-Encoding: base64

SGksDQoNCg0KQWZ0ZXIgbG9hZCAtIHVubG9hZCAtIGxvYWQgdHJhbXAsIEkgZ290IGFuIGNv
bXBpbGUgZXJyb3I6DQpDb21waWxlci1tYWNybyBlcnJvciBmb3IgdHJhbXAtZmlsZS1uYW1l
LW1ldGhvZDogKHZvaWQtZnVuY3Rpb24gdHJhbXAtZmlsZS1uYW1lLW1ldGhvZC0tY21hY3Jv
KSBbNyB0aW1lc10NCg0KDQpIb3cgdG8gcmVwbGljYXRlIGl0Og0KLSBTdGFydCBlbWFjcw0K
LSBsb2FkLWxpYmFyeSB0cmFtcA0KLSB0cmFtcC11bmxvYWQtdHJhbXANCi0gbG9hZC1saWJh
cnkgdHJhbXANCi0gdHJhbXAtdW5sb2FkLXRyYW1wLSBsb2FkLWxpYmFyeSB0cmFtcA0KDQoN
Cg0KQmVzdCBSZWdhcmRzLA0KU2h1Z3VhbmcgU3VuDQoNCg0KDQpJbiBHTlUgRW1hY3MgMjgu
MC41MCAoYnVpbGQgMSwgeDg2XzY0LXc2NC1taW5ndzMyKQ0KJm5ic3A7b2YgMjAyMS0wOS0y
MSBidWlsdCBvbiANClJlcG9zaXRvcnkgcmV2aXNpb246IDViOTYyYTdhZDhkMGFjZmU0MGE0
MWNlMTM5MDU5YjljOGU0NmY2NjYNClJlcG9zaXRvcnkgYnJhbmNoOiBtYXN0ZXINCldpbmRv
d2luZyBzeXN0ZW0gZGlzdHJpYnV0b3IgJ01pY3Jvc29mdCBDb3JwLicsIHZlcnNpb24gMTAu
MC4xOTA0Mw0KU3lzdGVtIERlc2NyaXB0aW9uOiBNaWNyb3NvZnQgV2luZG93cyAxMCBQcm8g
KHYxMC4wLjIwMDkuMTkwNDMuMTIzNykNCg0KQ29uZmlndXJlZCB1c2luZzoNCiZuYnNwOydj
b25maWd1cmUgLS13aXRob3V0LXBvcCAtLXdpdGgtbmF0aXZlLWltYWdlLWFwaQ0KJm5ic3A7
LS13aXRoLW5hdGl2ZS1jb21waWxhdGlvbiAtLXdpdGhvdXQtY29tcHJlc3MtaW5zdGFsbA0K
Jm5ic3A7Jy0tcHJvZ3JhbS10cmFuc2Zvcm0tbmFtZT1zL15jdGFncyQvY3RhZ3MuZW1hY3Mv
Jyc=

------=_NextPart_615331A0_10376258_17F0FA3B
Content-Type: text/html;
	charset="ISO-8859-1"
Content-Transfer-Encoding: base64

PG1ldGEgaHR0cC1lcXVpdj0iQ29udGVudC1UeXBlIiBjb250ZW50PSJ0ZXh0L2h0bWw7IGNo
YXJzZXQ9R0IxODAzMCI+PGRpdj5IaSw8L2Rpdj48ZGl2Pjxicj48L2Rpdj48ZGl2PkFmdGVy
IGxvYWQgLSB1bmxvYWQgLSBsb2FkIHRyYW1wLCBJIGdvdCBhbiBjb21waWxlIGVycm9yOjwv
ZGl2PjxkaXY+Q29tcGlsZXItbWFjcm8gZXJyb3IgZm9yIHRyYW1wLWZpbGUtbmFtZS1tZXRo
b2Q6ICh2b2lkLWZ1bmN0aW9uIHRyYW1wLWZpbGUtbmFtZS1tZXRob2QtLWNtYWNybykgWzcg
dGltZXNdPC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj5Ib3cgdG8gcmVwbGljYXRlIGl0Ojwv
ZGl2PjxkaXY+LSBTdGFydCBlbWFjczwvZGl2PjxkaXY+LSBsb2FkLWxpYmFyeSB0cmFtcDwv
ZGl2PjxkaXY+LSB0cmFtcC11bmxvYWQtdHJhbXA8L2Rpdj48ZGl2Pi0gbG9hZC1saWJhcnkg
dHJhbXA8L2Rpdj48ZGl2Pi0gdHJhbXAtdW5sb2FkLXRyYW1wPGRpdj4tIGxvYWQtbGliYXJ5
IHRyYW1wPC9kaXY+PGRpdj48YnI+PC9kaXY+PC9kaXY+PGRpdj5CZXN0IFJlZ2FyZHMsPC9k
aXY+PGRpdj5TaHVndWFuZyBTdW48YnI+PC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj5JbiBH
TlUgRW1hY3MgMjguMC41MCAoYnVpbGQgMSwgeDg2XzY0LXc2NC1taW5ndzMyKTxicj4mbmJz
cDtvZiAyMDIxLTA5LTIxIGJ1aWx0IG9uIDxicj5SZXBvc2l0b3J5IHJldmlzaW9uOiA1Yjk2
MmE3YWQ4ZDBhY2ZlNDBhNDFjZTEzOTA1OWI5YzhlNDZmNjY2PGJyPlJlcG9zaXRvcnkgYnJh
bmNoOiBtYXN0ZXI8YnI+V2luZG93aW5nIHN5c3RlbSBkaXN0cmlidXRvciAnTWljcm9zb2Z0
IENvcnAuJywgdmVyc2lvbiAxMC4wLjE5MDQzPGJyPlN5c3RlbSBEZXNjcmlwdGlvbjogTWlj
cm9zb2Z0IFdpbmRvd3MgMTAgUHJvICh2MTAuMC4yMDA5LjE5MDQzLjEyMzcpPGJyPjxicj5D
b25maWd1cmVkIHVzaW5nOjxicj4mbmJzcDsnY29uZmlndXJlIC0td2l0aG91dC1wb3AgLS13
aXRoLW5hdGl2ZS1pbWFnZS1hcGk8YnI+Jm5ic3A7LS13aXRoLW5hdGl2ZS1jb21waWxhdGlv
biAtLXdpdGhvdXQtY29tcHJlc3MtaW5zdGFsbDxicj4mbmJzcDsnLS1wcm9ncmFtLXRyYW5z
Zm9ybS1uYW1lPXMvXmN0YWdzJC9jdGFncy5lbWFjcy8nJzxicj48YnI+PC9kaXY+

------=_NextPart_615331A0_10376258_17F0FA3B--





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: "Shuguang Sun" <shuguang79@HIDDEN>
Subject: bug#50869: Acknowledgement (28.0.50; tramp: void-function
 tramp-file-name-method--cmacro)
Message-ID: <handler.50869.B.163284412817706.ack <at> debbugs.gnu.org>
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
X-Gnu-PR-Message: ack 50869
X-Gnu-PR-Package: emacs
Reply-To: 50869 <at> debbugs.gnu.org
Date: Tue, 28 Sep 2021 15:49:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 50869 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
50869: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50869
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50869: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Resent-From: Michael Albinus <michael.albinus@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 02 Oct 2021 16:37:02 +0000
Resent-Message-ID: <handler.50869.B.163319262031411 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50869
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 50869 <at> debbugs.gnu.org
Cc: shuguang79@HIDDEN
X-Debbugs-Original-To: "Shuguang Sun" via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-Debbugs-Original-Cc: Shuguang Sun <shuguang79@HIDDEN>, 50869 <at> debbugs.gnu.org
Received: via spool by submit <at> debbugs.gnu.org id=B.163319262031411
          (code B ref -1); Sat, 02 Oct 2021 16:37:02 +0000
Received: (at submit) by debbugs.gnu.org; 2 Oct 2021 16:37:00 +0000
Received: from localhost ([127.0.0.1]:60386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWi0R-0008AY-By
	for submit <at> debbugs.gnu.org; Sat, 02 Oct 2021 12:36:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:46336)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mWi0P-0008AQ-S1
 for submit <at> debbugs.gnu.org; Sat, 02 Oct 2021 12:36:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36818)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael.albinus@HIDDEN>)
 id 1mWi0P-0008Es-Hn
 for bug-gnu-emacs@HIDDEN; Sat, 02 Oct 2021 12:36:57 -0400
Received: from mout.gmx.net ([212.227.15.18]:51551)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael.albinus@HIDDEN>)
 id 1mWi0K-0000GA-Ft
 for bug-gnu-emacs@HIDDEN; Sat, 02 Oct 2021 12:36:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1633192599;
 bh=fDbWkIiZJG2tv+jE81MYQRRw6CkYFCvFKkf8HTCw4U4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=LvO3TuDIQM3r9cRJQCsp0fWwt6EdOM6q4k2brpRDO2lF6TdbOcj71edI8NviVriYj
 v9ATLb8FgD8lYi3e0AMw7HnGZmzA7NySFKCbJ7J5A41dbntS1W807Tjs0FXXmhRJWy
 YvTmDQMn7G9HUCEHTPM5jQkGz+LTI9mBkWByS9pg=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.124.29]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MQMuR-1mB4Xn3iNd-00MHED; Sat, 02
 Oct 2021 18:36:39 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
Date: Sat, 02 Oct 2021 18:36:37 +0200
In-Reply-To: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN> (Shuguang
 Sun's message of "Tue, 28 Sep 2021 23:15:44 +0800")
Message-ID: <87tuhzcrje.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:NVK/ft5R8RRTqga5it5/1RLV2pf5509O9iHVJDT+QUVKMbcXtuF
 7kWPN50Put+iZuU9nsooob4JmSixBh08o8tM5u93asXfotidYzuAnOcyxzvkKngSQsjqH9j
 /OXCgwgMBKazeBFpNLedxcHJQ6Iaj9hx66o9BPkM0XtpEzh/zYGYVxmaoTiXVTyzbYJEKn4
 f2/7ykZq9gK4oYM7GX33Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:MvDMqfYODMU=:fElKrdkUacDy21dCUULF1+
 10vV+xAMsnv1yg4KhOio8GktUu4jNuB9jQTx+Rqw+oKeRPg2fXML3HzYoS8p/HjbYDxJIxV56
 1u+kLQ+XuOZWfDhOJBdDbzytpRp0QXXQS7cFl5J1p2ZV0YFuPpLJCkn9JAzGaKqKL2TKS6HVz
 PDU7DuE62Y2h8m7/YYbRjoSBYrl/VIQ3urG4KyWTNFzzZ4t4Rua6qNn1K0thAzqweVPjF4hur
 bqqnFhkRpWkoPGe8MVQzghLzcpZNupPEG5U6H+D8l11eua3zG7SfvPFBuEXb5LEXVEhLov150
 DrqM/APbPQ4LqG0iJF6m3GkX4DXjz2dHITpd/DD07PvS0wnubpCfRPtStQ4xeOp5cF+lPDRpi
 Ttl1uzMZYdC1GLv5pBwBBMUzlHojNhGzLbtvGSDE0FKDJwjBQK/VVJZTRPy010/MBeT1yXYFj
 oxDH+z6pPOUrZi1Fuy5XrE0xH6AAFU9QRmXgiZrQwIcGrVn4yJuoAFSWfHdilII9QMyWR0+rJ
 gSvOOr/B7x/DzaKonEcPTwWhTsYMLxbyYWCfVSJ5j0fnnaptedkIqzpzo2Di9CtDeHGDCPxwk
 zqvKxs89MUg6zd60slO3EQLgevc4gtTrXzMlppa5FAmVk7ncWDsWpqCifdqDJK/Y+/tFAHRs8
 8mb6uUGSLfk7RNKTxANIZuUvCgJJs1HvMqKWXRsuxoyUOmh6qg/mrMsDv5SouIuxHOIiQa/A9
 N8tq6U7B5Y2dkjPDc6u4YTgL5RFfKwsiIqVCvYfn16+KO+Kq7ZIGxQajAXWp5J7IgwSOhS1ak
 aH4cf6gtwbd3S9q5Emh0xKnXUX1pnotQfYnJcmjMLRYDeJ1EMbNo1xyy8h4ZEPmOTkTTM1IWl
 ndTXRk39QUdcgkh8AxHp1vg/pjc55dVN+ZN4ti6HiCN/MxN5dZb3u5TSxfO8Dj43SkoaAYps4
 7J2zMAsI8rPA4n9Fv+zmOHkgZHNnpgv2AmB0VRe0OBnvWXPOvd76ljZn89htAzvV7YR3/E6JP
 oUEEb4ic/LSEI/HWlO817ZJlrLIhXr4eVJnRdcLHK9ZyNZLXb4DGa+B7VhE8G33zWV2JlVpN7
 vXuvh+ga4bX9RY=
Received-SPF: pass client-ip=212.227.15.18;
 envelope-from=michael.albinus@HIDDEN; helo=mout.gmx.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

"Shuguang Sun" via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> Hi,

Hi,

> After load - unload - load tramp, I got an compile error:
> Compiler-macro error for tramp-file-name-method: (void-function
> tramp-file-name-method--cmacro) [7 times]
>
> How to replicate it:
> - Start emacs
> - load-libary tramp
> - tramp-unload-tramp
> - load-libary tramp
> - tramp-unload-tramp
> - load-libary tramp

tramp-file-name-method--cmacro is a generated accessor function of the
defstruct tramp-file-name. I'm not sure that this is native Tramp
error. The backtrace shows as

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (void-function tramp-file-name-method--cmacro)
  tramp-file-name-method--cmacro((tramp-file-name-method (tramp-dissect-fil=
e-name filename)) (tramp-dissect-file-name filename))
  apply(tramp-file-name-method--cmacro (tramp-file-name-method (tramp-disse=
ct-file-name filename)) (tramp-dissect-file-name filename))
  macroexp--compiler-macro(tramp-file-name-method--cmacro (tramp-file-name-=
method (tramp-dissect-file-name filename)))
  #f(compiled-function (form func) #<bytecode 0x5031ad1730f4d5a>)(((tramp-f=
ile-name-method (tramp-dissect-file-name filename))) tramp-file-name-method)
  macroexp--expand-all((tramp-file-name-method (tramp-dissect-file-name fil=
ename)))
  macroexp--all-forms((string=3D (tramp-file-name-method (tramp-dissect-fil=
e-name filename)) tramp-adb-method) 1)
  #f(compiled-function (form func) #<bytecode 0x5031ad1730f4d5a>)(((string=
=3D (tramp-file-name-method (tramp-dissect-file-name filename)) tramp-adb-m=
ethod)) string=3D)
  macroexp--expand-all((string=3D (tramp-file-name-method (tramp-dissect-fi=
le-name filename)) tramp-adb-method))
  macroexp--all-forms((and (tramp-tramp-file-p filename) (string=3D (tramp-=
file-name-method (tramp-dissect-file-name filename)) tramp-adb-method)) 1)
  #f(compiled-function (form func) #<bytecode 0x5031ad1730f4d5a>)(((and (tr=
amp-tramp-file-p filename) (string=3D (tramp-file-name-method (tramp-dissec=
t-file-name filename)) tramp-adb-method))) and)
  macroexp--expand-all((and (tramp-tramp-file-p filename) (string=3D (tramp=
-file-name-method (tramp-dissect-file-name filename)) tramp-adb-method)))
  macroexp--all-forms((lambda (filename) "Check if it's a FILENAME for ADB.=
" (and (tramp-tramp-file-p filename) (string=3D (tramp-file-name-method (tr=
amp-dissect-file-name filename)) tramp-adb-method))) 2)
  macroexp--expand-all(#'(lambda (filename) "Check if it's a FILENAME for A=
DB." (and (tramp-tramp-file-p filename) (string=3D (tramp-file-name-method =
(tramp-dissect-file-name filename)) tramp-adb-method))))
  macroexp--all-forms((defalias 'tramp-adb-file-name-p #'(lambda (filename)=
 "Check if it's a FILENAME for ADB." (and (tramp-tramp-file-p filename) (st=
ring=3D (tramp-file-name-method (tramp-dissect-file-name filename)) tramp-a=
db-method)))) 1)
  #f(compiled-function (form func) #<bytecode 0x5031ad1730f4d5a>)(((defalia=
s 'tramp-adb-file-name-p #'(lambda (filename) "Check if it's a FILENAME for=
 ADB." (and (tramp-tramp-file-p filename) (string=3D (tramp-file-name-metho=
d ...) tramp-adb-method))))) defalias)
  macroexp--expand-all((defun tramp-adb-file-name-p (filename) "Check if it=
's a FILENAME for ADB." (and (tramp-tramp-file-p filename) (string=3D (tram=
p-file-name-method (tramp-dissect-file-name filename)) tramp-adb-method))))
  macroexp--all-forms((prog1 (defun tramp-adb-file-name-p (filename) "Check=
 if it's a FILENAME for ADB." (and (tramp-tramp-file-p filename) (string=3D=
 (tramp-file-name-method (tramp-dissect-file-name filename)) tramp-adb-meth=
od))) (eval-and-compile (function-put 'tramp-adb-file-name-p 'speed '-1) (p=
ut 'tramp-adb-file-name-p 'byte-optimizer 'byte-compile-inline-expand))) 1)
  #f(compiled-function (form func) #<bytecode 0x5031ad1730f4d5a>)(((prog1 (=
defun tramp-adb-file-name-p (filename) "Check if it's a FILENAME for ADB." =
(and (tramp-tramp-file-p filename) (string=3D (tramp-file-name-method (tram=
p-dissect-file-name filename)) tramp-adb-method))) (eval-and-compile (funct=
ion-put 'tramp-adb-file-name-p 'speed '-1) (put 'tramp-adb-file-name-p 'byt=
e-optimizer 'byte-compile-inline-expand)))) prog1)
  macroexp--expand-all((prog1 (defun tramp-adb-file-name-p (filename) "Chec=
k if it's a FILENAME for ADB." (and (tramp-tramp-file-p filename) (string=
=3D (tramp-file-name-method (tramp-dissect-file-name filename)) tramp-adb-m=
ethod))) (eval-and-compile (function-put 'tramp-adb-file-name-p 'speed '-1)=
 (put 'tramp-adb-file-name-p 'byte-optimizer 'byte-compile-inline-expand))))
  macroexpand-all((prog1 (defun tramp-adb-file-name-p (filename) "Check if =
it's a FILENAME for ADB." (and (tramp-tramp-file-p filename) (string=3D (tr=
amp-file-name-method (tramp-dissect-file-name filename)) tramp-adb-method))=
) (eval-and-compile (function-put 'tramp-adb-file-name-p 'speed '-1) (put '=
tramp-adb-file-name-p 'byte-optimizer 'byte-compile-inline-expand))))
  internal-macroexpand-for-load((prog1 (defun tramp-adb-file-name-p (filena=
me) "Check if it's a FILENAME for ADB." (and (tramp-tramp-file-p filename) =
(string=3D (tramp-file-name-method (tramp-dissect-file-name filename)) tram=
p-adb-method))) (eval-and-compile (function-put 'tramp-adb-file-name-p 'spe=
ed '-1) (put 'tramp-adb-file-name-p 'byte-optimizer 'byte-compile-inline-ex=
pand))) t)
  eval-buffer(#<buffer  *load*> nil "/home/albinus/src/emacs-28/lisp/net/tr=
amp-loaddefs..." nil t)  ; Reading at buffer position 4857
  load-with-code-conversion("/home/albinus/src/emacs-28/lisp/net/tramp-load=
defs..." "/home/albinus/src/emacs-28/lisp/net/tramp-loaddefs..." nil t)
  load-with-shorthands-and-code-conversion("/home/albinus/src/emacs-28/lisp=
/net/tramp-loaddefs..." "/home/albinus/src/emacs-28/lisp/net/tramp-loaddefs=
..." nil t)
  require(tramp-loaddefs)
  byte-code("\300\301!\210\302\303\304\305\306DD\307\310\311%\210\302\312\3=
04\305\313DD\314\310\315%\210\302\316\304\305\317DD\320\321\322\310\311&\7\=
210\302\323\304\305\324DD..." [require tramp-loaddefs custom-declare-variab=
le tramp-mode funcall function #f(compiled-function () #<bytecode 0x1f40001=
6fe5d4>) "Whether Tramp is enabled.\nIf it is set to nil, all..." :type boo=
lean tramp-verbose #f(compiled-function () #<bytecode 0x1f400016fead4>) "Ve=
rbosity level for Tramp messages.\nAny level x in..." integer tramp-debug-t=
o-file #f(compiled-function () #<bytecode 0x1f400016fe914>) "Whether Tramp =
debug messages shall be saved to fil..." :version "28.1" tramp-backup-direc=
tory-alist #f(compiled-function () #<bytecode 0x1f400016fe914>) "Alist of f=
ilename patterns and backup directory na..." (repeat (cons (regexp :tag "Re=
gexp matching filename") (directory :tag "Backup directory name"))) tramp-a=
uto-save-directory #f(compiled-function () #<bytecode 0x1f400016fe914>) "Pu=
t auto-save files in this directory, if set.\nThe..." (choice (const :tag "=
Use default" nil) (directory :tag "Auto save directory name")) tramp-encodi=
ng-shell #f(compiled-function () #<bytecode 0x12a348c7f818d327>) "Use this =
program for encoding and decoding command..." (file :must-match t) tramp-en=
coding-command-switch #f(compiled-function () #<bytecode -0x1c3ad6ddc556ef8=
4>) "Use this switch together with `tramp-encoding-shel..." string tramp-en=
coding-command-interactive #f(compiled-function () #<bytecode -0xce224b8508=
034ef>) "Use this switch together with `tramp-encoding-shel..." "24.1" (cho=
ice (const nil) string)] 8)
  load("tramp")
  load-library("tramp")
  funcall-interactively(load-library "tramp")
  call-interactively(load-library record nil)
  command-execute(load-library record)
  execute-extended-command(nil "load-library" nil)
  funcall-interactively(execute-extended-command nil "load-library" nil)
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)
--8<---------------cut here---------------end--------------->8---

> Best Regards,
> Shuguang Sun

Best regards, Michael.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50869: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Resent-From: Michael Albinus <michael.albinus@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 02 Oct 2021 16:37:02 +0000
Resent-Message-ID: <handler.50869.B50869.163319261331391 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50869
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 50869 <at> debbugs.gnu.org
Cc: shuguang79@HIDDEN
X-Debbugs-Original-To: "Shuguang Sun" via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-Debbugs-Original-Cc: Shuguang Sun <shuguang79@HIDDEN>, 50869 <at> debbugs.gnu.org
Received: via spool by 50869-submit <at> debbugs.gnu.org id=B50869.163319261331391
          (code B ref 50869); Sat, 02 Oct 2021 16:37:02 +0000
Received: (at 50869) by debbugs.gnu.org; 2 Oct 2021 16:36:53 +0000
Received: from localhost ([127.0.0.1]:60383 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWi0K-0008AE-P1
	for submit <at> debbugs.gnu.org; Sat, 02 Oct 2021 12:36:53 -0400
Received: from mout.gmx.net ([212.227.15.18]:58525)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mWi0I-00089y-2C
 for 50869 <at> debbugs.gnu.org; Sat, 02 Oct 2021 12:36:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1633192599;
 bh=fDbWkIiZJG2tv+jE81MYQRRw6CkYFCvFKkf8HTCw4U4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=LvO3TuDIQM3r9cRJQCsp0fWwt6EdOM6q4k2brpRDO2lF6TdbOcj71edI8NviVriYj
 v9ATLb8FgD8lYi3e0AMw7HnGZmzA7NySFKCbJ7J5A41dbntS1W807Tjs0FXXmhRJWy
 YvTmDQMn7G9HUCEHTPM5jQkGz+LTI9mBkWByS9pg=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.124.29]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MQMuR-1mB4Xn3iNd-00MHED; Sat, 02
 Oct 2021 18:36:39 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
Date: Sat, 02 Oct 2021 18:36:37 +0200
In-Reply-To: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN> (Shuguang
 Sun's message of "Tue, 28 Sep 2021 23:15:44 +0800")
Message-ID: <87tuhzcrje.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:NVK/ft5R8RRTqga5it5/1RLV2pf5509O9iHVJDT+QUVKMbcXtuF
 7kWPN50Put+iZuU9nsooob4JmSixBh08o8tM5u93asXfotidYzuAnOcyxzvkKngSQsjqH9j
 /OXCgwgMBKazeBFpNLedxcHJQ6Iaj9hx66o9BPkM0XtpEzh/zYGYVxmaoTiXVTyzbYJEKn4
 f2/7ykZq9gK4oYM7GX33Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:MvDMqfYODMU=:fElKrdkUacDy21dCUULF1+
 10vV+xAMsnv1yg4KhOio8GktUu4jNuB9jQTx+Rqw+oKeRPg2fXML3HzYoS8p/HjbYDxJIxV56
 1u+kLQ+XuOZWfDhOJBdDbzytpRp0QXXQS7cFl5J1p2ZV0YFuPpLJCkn9JAzGaKqKL2TKS6HVz
 PDU7DuE62Y2h8m7/YYbRjoSBYrl/VIQ3urG4KyWTNFzzZ4t4Rua6qNn1K0thAzqweVPjF4hur
 bqqnFhkRpWkoPGe8MVQzghLzcpZNupPEG5U6H+D8l11eua3zG7SfvPFBuEXb5LEXVEhLov150
 DrqM/APbPQ4LqG0iJF6m3GkX4DXjz2dHITpd/DD07PvS0wnubpCfRPtStQ4xeOp5cF+lPDRpi
 Ttl1uzMZYdC1GLv5pBwBBMUzlHojNhGzLbtvGSDE0FKDJwjBQK/VVJZTRPy010/MBeT1yXYFj
 oxDH+z6pPOUrZi1Fuy5XrE0xH6AAFU9QRmXgiZrQwIcGrVn4yJuoAFSWfHdilII9QMyWR0+rJ
 gSvOOr/B7x/DzaKonEcPTwWhTsYMLxbyYWCfVSJ5j0fnnaptedkIqzpzo2Di9CtDeHGDCPxwk
 zqvKxs89MUg6zd60slO3EQLgevc4gtTrXzMlppa5FAmVk7ncWDsWpqCifdqDJK/Y+/tFAHRs8
 8mb6uUGSLfk7RNKTxANIZuUvCgJJs1HvMqKWXRsuxoyUOmh6qg/mrMsDv5SouIuxHOIiQa/A9
 N8tq6U7B5Y2dkjPDc6u4YTgL5RFfKwsiIqVCvYfn16+KO+Kq7ZIGxQajAXWp5J7IgwSOhS1ak
 aH4cf6gtwbd3S9q5Emh0xKnXUX1pnotQfYnJcmjMLRYDeJ1EMbNo1xyy8h4ZEPmOTkTTM1IWl
 ndTXRk39QUdcgkh8AxHp1vg/pjc55dVN+ZN4ti6HiCN/MxN5dZb3u5TSxfO8Dj43SkoaAYps4
 7J2zMAsI8rPA4n9Fv+zmOHkgZHNnpgv2AmB0VRe0OBnvWXPOvd76ljZn89htAzvV7YR3/E6JP
 oUEEb4ic/LSEI/HWlO817ZJlrLIhXr4eVJnRdcLHK9ZyNZLXb4DGa+B7VhE8G33zWV2JlVpN7
 vXuvh+ga4bX9RY=
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

"Shuguang Sun" via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> Hi,

Hi,

> After load - unload - load tramp, I got an compile error:
> Compiler-macro error for tramp-file-name-method: (void-function
> tramp-file-name-method--cmacro) [7 times]
>
> How to replicate it:
> - Start emacs
> - load-libary tramp
> - tramp-unload-tramp
> - load-libary tramp
> - tramp-unload-tramp
> - load-libary tramp

tramp-file-name-method--cmacro is a generated accessor function of the
defstruct tramp-file-name. I'm not sure that this is native Tramp
error. The backtrace shows as

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (void-function tramp-file-name-method--cmacro)
  tramp-file-name-method--cmacro((tramp-file-name-method (tramp-dissect-fil=
e-name filename)) (tramp-dissect-file-name filename))
  apply(tramp-file-name-method--cmacro (tramp-file-name-method (tramp-disse=
ct-file-name filename)) (tramp-dissect-file-name filename))
  macroexp--compiler-macro(tramp-file-name-method--cmacro (tramp-file-name-=
method (tramp-dissect-file-name filename)))
  #f(compiled-function (form func) #<bytecode 0x5031ad1730f4d5a>)(((tramp-f=
ile-name-method (tramp-dissect-file-name filename))) tramp-file-name-method)
  macroexp--expand-all((tramp-file-name-method (tramp-dissect-file-name fil=
ename)))
  macroexp--all-forms((string=3D (tramp-file-name-method (tramp-dissect-fil=
e-name filename)) tramp-adb-method) 1)
  #f(compiled-function (form func) #<bytecode 0x5031ad1730f4d5a>)(((string=
=3D (tramp-file-name-method (tramp-dissect-file-name filename)) tramp-adb-m=
ethod)) string=3D)
  macroexp--expand-all((string=3D (tramp-file-name-method (tramp-dissect-fi=
le-name filename)) tramp-adb-method))
  macroexp--all-forms((and (tramp-tramp-file-p filename) (string=3D (tramp-=
file-name-method (tramp-dissect-file-name filename)) tramp-adb-method)) 1)
  #f(compiled-function (form func) #<bytecode 0x5031ad1730f4d5a>)(((and (tr=
amp-tramp-file-p filename) (string=3D (tramp-file-name-method (tramp-dissec=
t-file-name filename)) tramp-adb-method))) and)
  macroexp--expand-all((and (tramp-tramp-file-p filename) (string=3D (tramp=
-file-name-method (tramp-dissect-file-name filename)) tramp-adb-method)))
  macroexp--all-forms((lambda (filename) "Check if it's a FILENAME for ADB.=
" (and (tramp-tramp-file-p filename) (string=3D (tramp-file-name-method (tr=
amp-dissect-file-name filename)) tramp-adb-method))) 2)
  macroexp--expand-all(#'(lambda (filename) "Check if it's a FILENAME for A=
DB." (and (tramp-tramp-file-p filename) (string=3D (tramp-file-name-method =
(tramp-dissect-file-name filename)) tramp-adb-method))))
  macroexp--all-forms((defalias 'tramp-adb-file-name-p #'(lambda (filename)=
 "Check if it's a FILENAME for ADB." (and (tramp-tramp-file-p filename) (st=
ring=3D (tramp-file-name-method (tramp-dissect-file-name filename)) tramp-a=
db-method)))) 1)
  #f(compiled-function (form func) #<bytecode 0x5031ad1730f4d5a>)(((defalia=
s 'tramp-adb-file-name-p #'(lambda (filename) "Check if it's a FILENAME for=
 ADB." (and (tramp-tramp-file-p filename) (string=3D (tramp-file-name-metho=
d ...) tramp-adb-method))))) defalias)
  macroexp--expand-all((defun tramp-adb-file-name-p (filename) "Check if it=
's a FILENAME for ADB." (and (tramp-tramp-file-p filename) (string=3D (tram=
p-file-name-method (tramp-dissect-file-name filename)) tramp-adb-method))))
  macroexp--all-forms((prog1 (defun tramp-adb-file-name-p (filename) "Check=
 if it's a FILENAME for ADB." (and (tramp-tramp-file-p filename) (string=3D=
 (tramp-file-name-method (tramp-dissect-file-name filename)) tramp-adb-meth=
od))) (eval-and-compile (function-put 'tramp-adb-file-name-p 'speed '-1) (p=
ut 'tramp-adb-file-name-p 'byte-optimizer 'byte-compile-inline-expand))) 1)
  #f(compiled-function (form func) #<bytecode 0x5031ad1730f4d5a>)(((prog1 (=
defun tramp-adb-file-name-p (filename) "Check if it's a FILENAME for ADB." =
(and (tramp-tramp-file-p filename) (string=3D (tramp-file-name-method (tram=
p-dissect-file-name filename)) tramp-adb-method))) (eval-and-compile (funct=
ion-put 'tramp-adb-file-name-p 'speed '-1) (put 'tramp-adb-file-name-p 'byt=
e-optimizer 'byte-compile-inline-expand)))) prog1)
  macroexp--expand-all((prog1 (defun tramp-adb-file-name-p (filename) "Chec=
k if it's a FILENAME for ADB." (and (tramp-tramp-file-p filename) (string=
=3D (tramp-file-name-method (tramp-dissect-file-name filename)) tramp-adb-m=
ethod))) (eval-and-compile (function-put 'tramp-adb-file-name-p 'speed '-1)=
 (put 'tramp-adb-file-name-p 'byte-optimizer 'byte-compile-inline-expand))))
  macroexpand-all((prog1 (defun tramp-adb-file-name-p (filename) "Check if =
it's a FILENAME for ADB." (and (tramp-tramp-file-p filename) (string=3D (tr=
amp-file-name-method (tramp-dissect-file-name filename)) tramp-adb-method))=
) (eval-and-compile (function-put 'tramp-adb-file-name-p 'speed '-1) (put '=
tramp-adb-file-name-p 'byte-optimizer 'byte-compile-inline-expand))))
  internal-macroexpand-for-load((prog1 (defun tramp-adb-file-name-p (filena=
me) "Check if it's a FILENAME for ADB." (and (tramp-tramp-file-p filename) =
(string=3D (tramp-file-name-method (tramp-dissect-file-name filename)) tram=
p-adb-method))) (eval-and-compile (function-put 'tramp-adb-file-name-p 'spe=
ed '-1) (put 'tramp-adb-file-name-p 'byte-optimizer 'byte-compile-inline-ex=
pand))) t)
  eval-buffer(#<buffer  *load*> nil "/home/albinus/src/emacs-28/lisp/net/tr=
amp-loaddefs..." nil t)  ; Reading at buffer position 4857
  load-with-code-conversion("/home/albinus/src/emacs-28/lisp/net/tramp-load=
defs..." "/home/albinus/src/emacs-28/lisp/net/tramp-loaddefs..." nil t)
  load-with-shorthands-and-code-conversion("/home/albinus/src/emacs-28/lisp=
/net/tramp-loaddefs..." "/home/albinus/src/emacs-28/lisp/net/tramp-loaddefs=
..." nil t)
  require(tramp-loaddefs)
  byte-code("\300\301!\210\302\303\304\305\306DD\307\310\311%\210\302\312\3=
04\305\313DD\314\310\315%\210\302\316\304\305\317DD\320\321\322\310\311&\7\=
210\302\323\304\305\324DD..." [require tramp-loaddefs custom-declare-variab=
le tramp-mode funcall function #f(compiled-function () #<bytecode 0x1f40001=
6fe5d4>) "Whether Tramp is enabled.\nIf it is set to nil, all..." :type boo=
lean tramp-verbose #f(compiled-function () #<bytecode 0x1f400016fead4>) "Ve=
rbosity level for Tramp messages.\nAny level x in..." integer tramp-debug-t=
o-file #f(compiled-function () #<bytecode 0x1f400016fe914>) "Whether Tramp =
debug messages shall be saved to fil..." :version "28.1" tramp-backup-direc=
tory-alist #f(compiled-function () #<bytecode 0x1f400016fe914>) "Alist of f=
ilename patterns and backup directory na..." (repeat (cons (regexp :tag "Re=
gexp matching filename") (directory :tag "Backup directory name"))) tramp-a=
uto-save-directory #f(compiled-function () #<bytecode 0x1f400016fe914>) "Pu=
t auto-save files in this directory, if set.\nThe..." (choice (const :tag "=
Use default" nil) (directory :tag "Auto save directory name")) tramp-encodi=
ng-shell #f(compiled-function () #<bytecode 0x12a348c7f818d327>) "Use this =
program for encoding and decoding command..." (file :must-match t) tramp-en=
coding-command-switch #f(compiled-function () #<bytecode -0x1c3ad6ddc556ef8=
4>) "Use this switch together with `tramp-encoding-shel..." string tramp-en=
coding-command-interactive #f(compiled-function () #<bytecode -0xce224b8508=
034ef>) "Use this switch together with `tramp-encoding-shel..." "24.1" (cho=
ice (const nil) string)] 8)
  load("tramp")
  load-library("tramp")
  funcall-interactively(load-library "tramp")
  call-interactively(load-library record nil)
  command-execute(load-library record)
  execute-extended-command(nil "load-library" nil)
  funcall-interactively(execute-extended-command nil "load-library" nil)
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)
--8<---------------cut here---------------end--------------->8---

> Best Regards,
> Shuguang Sun

Best regards, Michael.




Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: bug#50869: closed (28.0.50; tramp: void-function tramp-file-name-method--cmacro)
CC: tracker <at> debbugs.gnu.org
Message-ID: <handler.50869.D50869.164752798032739.ackdone <at> debbugs.gnu.org>
References: <87pmmkiqxt.fsf@HIDDEN>
 <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
X-Gnu-PR-Message: closed 50869
X-Gnu-PR-Package: emacs
Date: Thu, 17 Mar 2022 14:40:01 +0000
Content-Type: multipart/mixed; boundary="----------=_1647528001-303-0"

This is a multi-part message in MIME format...

------------=_1647528001-303-0
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=utf-8

Your message dated Thu, 17 Mar 2022 15:39:26 +0100
with message-id <87pmmkiqxt.fsf@HIDDEN>
and subject line Re: bug#50869: 28.0.50; tramp: void-function tramp-file-na=
me-method--cmacro
has caused the debbugs.gnu.org bug report #50869,
regarding 28.0.50; tramp: void-function tramp-file-name-method--cmacro
to be marked as done.

(If you believe you have received this mail in error, please contact
help-debbugs@HIDDEN)


--=20
50869: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50869
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1647528001-303-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 28 Sep 2021 15:48:48 +0000
Received: from localhost ([127.0.0.1]:46751 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVFLb-0004bW-R3
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 11:48:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:46094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shuguang79@HIDDEN>) id 1mVFLY-0004bK-FE
 for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 11:48:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54748)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <shuguang79@HIDDEN>) id 1mVFLY-0005da-7E
 for bug-gnu-emacs@HIDDEN; Tue, 28 Sep 2021 11:48:44 -0400
Received: from out203-205-221-149.mail.qq.com ([203.205.221.149]:33497)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <shuguang79@HIDDEN>) id 1mVFLQ-0008Mj-Hu
 for bug-gnu-emacs@HIDDEN; Tue, 28 Sep 2021 11:48:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1632844105; bh=pGUQrHGdSJLLMhst1bQEHoxRO3Foc8WCCoo0os7fXjg=;
 h=From:To:Subject:Date;
 b=Mb6JGhDWWlrFGLkNzFeTu+zne7olAFlAFo1Ao1UVW2WayaOzoxnpiThRLoodoiDU/
 mb6fIs/vzmHGp/Fb+NcvJQ41nhbypWtM6vQtMs2zGMpoUSvBUyDdfREAN0uhPWl/0e
 OWyaJFKVJohbiclNXay0rrnlXCsW0PGHUvNxcTV0=
X-QQ-FEAT: oHWrrGTW1dBr498/DCRbsggS5C9bFJb1
X-QQ-SSF: 00000000000000F000000000000000G
X-QQ-XMAILINFO: OOWntbL6xj16fzRnOPK11yuTKWc1KCIqJzrRi9hDui18PUwRRi3yBIFQJgNgbf
 oKOlH0A0ObuNsuoE6a6FQEqJry9l8MlWZGOqUvWv6GVC040ZxyBTP7A5FPWnG7eGDtYob6dZhL61W
 3IfWxOvI+asFUAyOl3He6FIzk2xizxuIJTdJxKx0JLEgS3rP8Rnreg6hYehvITTDYBapjCRxf4TRW
 jtIFygEI9sHlV7FeFJBBfadPiWDYUrzYdZdGtahMtJHBzPUfEMe7rDnfOCGdM8gfh6W5TLM9NsyMS
 GDuJcdp9KEe7hv8gkz7gtVMU3cY/v5De2EBQl4uxlq2kRR+Vyn4mPY6nygi2FjRSRqZqtpAWbUKPH
 2Mk/GspJbHDiSy09NuFFX5mb/60C+K8yHDvt2JQmjHguyWF0FwNkVs0GPH1kUo6YlqtABG/t7ln8v
 r+CQw9MBP6okU3Iq1icBryBP/hClt8g+LoQWuXaLFglfViivJI4g/ZK3mjKnWkxC7DEHB7+gGNvsN
 OXc/WRGCvZQUP3tKIgWaldYIZ4cvQA6nBQ8fH9NEK4hK3kz25jbC3DfzteJnEhiopFfNP3IeItYgQ
 /ESjHFQ34H0gWsKtzqIQyH82fZ89t8JaBwWQ6qZSDlhsMRpekCcwURE7vV/udpSZ/1966+G7nIBe8
 TT3pgSpytad2ST2+gzSdzrlFqV6IwdF+khHj8ECUj1OR+5aieYj4USiVdnFmFupxnxJAOVxOW4Bm2
 sF5vo0cILzriElU0fYXlIW9unNwToJfA8LpnpTJ2M2Zui2gbxtkNUk+aemKknXTx6ARyfaphyf1wT
 d9dHwQJHCw0e2isenA/Ylpo=
X-HAS-ATTACH: no
X-QQ-BUSINESS-ORIGIN: 2
X-Originating-IP: 101.88.91.228
X-QQ-STYLE: 
X-QQ-mid: webmail225t1632842144t6662522
From: "=?ISO-8859-1?B?U2h1Z3VhbmcgU3Vu?=" <shuguang79@HIDDEN>
To: "=?ISO-8859-1?B?YnVnLWdudS1lbWFjcw==?=" <bug-gnu-emacs@HIDDEN>
Subject: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Mime-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----=_NextPart_615331A0_10376258_17F0FA3B"
Content-Transfer-Encoding: 8Bit
Date: Tue, 28 Sep 2021 23:15:44 +0800
X-Priority: 3
Message-ID: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
X-QQ-MIME: TCMime 1.0 by Tencent
X-Mailer: QQMail 2.x
X-QQ-Mailer: QQMail 2.x
Received-SPF: pass client-ip=203.205.221.149; envelope-from=shuguang79@HIDDEN;
 helo=out203-205-221-149.mail.qq.com
X-Spam_score_int: 30
X-Spam_score: 3.0
X-Spam_bar: +++
X-Spam_report: (3.0 / 5.0 requ) BAYES_40=-0.001, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, FROM_EXCESS_BASE64=0.001,
 HELO_DYNAMIC_IPADDR=1.951, HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, RDNS_DYNAMIC=0.982, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

This is a multi-part message in MIME format.

------=_NextPart_615331A0_10376258_17F0FA3B
Content-Type: text/plain;
	charset="ISO-8859-1"
Content-Transfer-Encoding: base64

SGksDQoNCg0KQWZ0ZXIgbG9hZCAtIHVubG9hZCAtIGxvYWQgdHJhbXAsIEkgZ290IGFuIGNv
bXBpbGUgZXJyb3I6DQpDb21waWxlci1tYWNybyBlcnJvciBmb3IgdHJhbXAtZmlsZS1uYW1l
LW1ldGhvZDogKHZvaWQtZnVuY3Rpb24gdHJhbXAtZmlsZS1uYW1lLW1ldGhvZC0tY21hY3Jv
KSBbNyB0aW1lc10NCg0KDQpIb3cgdG8gcmVwbGljYXRlIGl0Og0KLSBTdGFydCBlbWFjcw0K
LSBsb2FkLWxpYmFyeSB0cmFtcA0KLSB0cmFtcC11bmxvYWQtdHJhbXANCi0gbG9hZC1saWJh
cnkgdHJhbXANCi0gdHJhbXAtdW5sb2FkLXRyYW1wLSBsb2FkLWxpYmFyeSB0cmFtcA0KDQoN
Cg0KQmVzdCBSZWdhcmRzLA0KU2h1Z3VhbmcgU3VuDQoNCg0KDQpJbiBHTlUgRW1hY3MgMjgu
MC41MCAoYnVpbGQgMSwgeDg2XzY0LXc2NC1taW5ndzMyKQ0KJm5ic3A7b2YgMjAyMS0wOS0y
MSBidWlsdCBvbiANClJlcG9zaXRvcnkgcmV2aXNpb246IDViOTYyYTdhZDhkMGFjZmU0MGE0
MWNlMTM5MDU5YjljOGU0NmY2NjYNClJlcG9zaXRvcnkgYnJhbmNoOiBtYXN0ZXINCldpbmRv
d2luZyBzeXN0ZW0gZGlzdHJpYnV0b3IgJ01pY3Jvc29mdCBDb3JwLicsIHZlcnNpb24gMTAu
MC4xOTA0Mw0KU3lzdGVtIERlc2NyaXB0aW9uOiBNaWNyb3NvZnQgV2luZG93cyAxMCBQcm8g
KHYxMC4wLjIwMDkuMTkwNDMuMTIzNykNCg0KQ29uZmlndXJlZCB1c2luZzoNCiZuYnNwOydj
b25maWd1cmUgLS13aXRob3V0LXBvcCAtLXdpdGgtbmF0aXZlLWltYWdlLWFwaQ0KJm5ic3A7
LS13aXRoLW5hdGl2ZS1jb21waWxhdGlvbiAtLXdpdGhvdXQtY29tcHJlc3MtaW5zdGFsbA0K
Jm5ic3A7Jy0tcHJvZ3JhbS10cmFuc2Zvcm0tbmFtZT1zL15jdGFncyQvY3RhZ3MuZW1hY3Mv
Jyc=

------=_NextPart_615331A0_10376258_17F0FA3B
Content-Type: text/html;
	charset="ISO-8859-1"
Content-Transfer-Encoding: base64

PG1ldGEgaHR0cC1lcXVpdj0iQ29udGVudC1UeXBlIiBjb250ZW50PSJ0ZXh0L2h0bWw7IGNo
YXJzZXQ9R0IxODAzMCI+PGRpdj5IaSw8L2Rpdj48ZGl2Pjxicj48L2Rpdj48ZGl2PkFmdGVy
IGxvYWQgLSB1bmxvYWQgLSBsb2FkIHRyYW1wLCBJIGdvdCBhbiBjb21waWxlIGVycm9yOjwv
ZGl2PjxkaXY+Q29tcGlsZXItbWFjcm8gZXJyb3IgZm9yIHRyYW1wLWZpbGUtbmFtZS1tZXRo
b2Q6ICh2b2lkLWZ1bmN0aW9uIHRyYW1wLWZpbGUtbmFtZS1tZXRob2QtLWNtYWNybykgWzcg
dGltZXNdPC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj5Ib3cgdG8gcmVwbGljYXRlIGl0Ojwv
ZGl2PjxkaXY+LSBTdGFydCBlbWFjczwvZGl2PjxkaXY+LSBsb2FkLWxpYmFyeSB0cmFtcDwv
ZGl2PjxkaXY+LSB0cmFtcC11bmxvYWQtdHJhbXA8L2Rpdj48ZGl2Pi0gbG9hZC1saWJhcnkg
dHJhbXA8L2Rpdj48ZGl2Pi0gdHJhbXAtdW5sb2FkLXRyYW1wPGRpdj4tIGxvYWQtbGliYXJ5
IHRyYW1wPC9kaXY+PGRpdj48YnI+PC9kaXY+PC9kaXY+PGRpdj5CZXN0IFJlZ2FyZHMsPC9k
aXY+PGRpdj5TaHVndWFuZyBTdW48YnI+PC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj5JbiBH
TlUgRW1hY3MgMjguMC41MCAoYnVpbGQgMSwgeDg2XzY0LXc2NC1taW5ndzMyKTxicj4mbmJz
cDtvZiAyMDIxLTA5LTIxIGJ1aWx0IG9uIDxicj5SZXBvc2l0b3J5IHJldmlzaW9uOiA1Yjk2
MmE3YWQ4ZDBhY2ZlNDBhNDFjZTEzOTA1OWI5YzhlNDZmNjY2PGJyPlJlcG9zaXRvcnkgYnJh
bmNoOiBtYXN0ZXI8YnI+V2luZG93aW5nIHN5c3RlbSBkaXN0cmlidXRvciAnTWljcm9zb2Z0
IENvcnAuJywgdmVyc2lvbiAxMC4wLjE5MDQzPGJyPlN5c3RlbSBEZXNjcmlwdGlvbjogTWlj
cm9zb2Z0IFdpbmRvd3MgMTAgUHJvICh2MTAuMC4yMDA5LjE5MDQzLjEyMzcpPGJyPjxicj5D
b25maWd1cmVkIHVzaW5nOjxicj4mbmJzcDsnY29uZmlndXJlIC0td2l0aG91dC1wb3AgLS13
aXRoLW5hdGl2ZS1pbWFnZS1hcGk8YnI+Jm5ic3A7LS13aXRoLW5hdGl2ZS1jb21waWxhdGlv
biAtLXdpdGhvdXQtY29tcHJlc3MtaW5zdGFsbDxicj4mbmJzcDsnLS1wcm9ncmFtLXRyYW5z
Zm9ybS1uYW1lPXMvXmN0YWdzJC9jdGFncy5lbWFjcy8nJzxicj48YnI+PC9kaXY+

------=_NextPart_615331A0_10376258_17F0FA3B--




------------=_1647528001-303-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 50869-done) by debbugs.gnu.org; 17 Mar 2022 14:39:40 +0000
Received: from localhost ([127.0.0.1]:54901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nUrHv-0008Vy-SU
	for submit <at> debbugs.gnu.org; Thu, 17 Mar 2022 10:39:40 -0400
Received: from mout.gmx.net ([212.227.17.20]:48043)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1nUrHt-0008Vg-RT
 for 50869-done <at> debbugs.gnu.org; Thu, 17 Mar 2022 10:39:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1647527967;
 bh=wyKgEE8VLK8rS8vjoOyCTdt4KxHtqMk32qW6Pq9tgsI=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=D10JrvCuO/Kir/BISi0VWDLSwtvkdtPcGl2rkeT2Jv+djHuqpfmiWdRZ5Us5Uf10d
 +KkruE8KY08kXV9B3zmxQ4/gHCzNVipmUiMUUltf2pt/OJn2wFQl4z2+/oChcKMZUz
 1MeFAjVjN4mYR+bJ6R41MCbexZyU+sp0VMjmLTMA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.91.238.228]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MQ5vc-1ni0Rr0KX2-00M4bi; Thu, 17
 Mar 2022 15:39:27 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: 50869-done <at> debbugs.gnu.org
Subject: Re: bug#50869: 28.0.50; tramp: void-function
 tramp-file-name-method--cmacro
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
 <87tuhzcrje.fsf@HIDDEN>
Date: Thu, 17 Mar 2022 15:39:26 +0100
In-Reply-To: <87tuhzcrje.fsf@HIDDEN> (Michael Albinus's message of "Sat, 02
 Oct 2021 18:36:37 +0200")
Message-ID: <87pmmkiqxt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:YODH6Nxmd7UQBjq4llEA/63CN3ZKKqXNpJLjqhhdAknNvC9RJuw
 kzHHvEgWdLS/Hvj5PKP5DOBc3F2FsGi6+YfqGFYEMYu+4GeL79oddYOza/iGXb9avFrOXbN
 kq1N4UQkHpAZosquxkdIYUs8dxhTXgjrT6WSeW7V2ZBe0gQDzCMmW0V6XRdLpCBBKSA7ul8
 4/AAx8v75Qsd3dlrBMSzw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:UE2+WuvPF84=:gGLCow9wUa8w1uvI2lQroT
 wPE6xFmNuTbygIgudZXmIjBOTdsTObXqTCkLW+Sz8Z6O5ma+DvXNigLX9Bn98qDAO+4MKPxrb
 fTqANAtd+OuIwMS3cuOqrv9UpD9pJFUTbPAeCCsauU2pPsCFN4VDDksFXudjlgK9M/hh3snZm
 ITqUy6BDzwUXIOHoiwMA7WZJ3HcNf0++pKSDZ4xbEHYCyFF4SqlSdMRUMZQoka6OpX2FSzajz
 tEjHtNlVlc8w8ig5XQa+JxjmAGVU65MTGjUZZz7e4r7nDufAIPCJ7Q384gm/XCSmzSTIxKC27
 U77Q5oVyNYM9uMBKszdSjWG0JaBXaWrenrKUP05Ro24OXGeUhWSvbpPL2DTiOnR26U+bbzrcU
 HP8th/R3bDJ65k5lljaeENncbmJj8nC4Uds0ixdCUPMT+hhBddEejsZNL+SISsEgb3cNC4nx9
 vu3OuiQCVPaD0h2J8+lmN5p1rWZUZjHmcdPRjUnd1Mn5bNp6rFkSorNlgpJM3GSncaQUVs9uB
 VWXL0etf8g5N13Xq3OVmmRPpBk0J6comNcqExMhdq5EnXX0Wy5peceM2NydGWX/YeuLc/EiJR
 J3ZY2LbEJ4iwV3TfokfZUGYYKHueCdWKPyMrbaMg8yNzcWYmFTsqafQTlcU/NTrZ6qbvv3bFl
 eqGcg+/Cpbg6DWYfZPpLJkRet6tu4n4gLF3y1Zwqk42kyuOpzsPYX4iLtA9NKHVu87WGRUXYo
 yOkohsPQw7X8fI3MgC7NUqL1QQHgowifhhsIiJHyHtySVDiN2b9+V0n1woG0G1arExQpAP3Yw
 D+MHmonBbhaNr4LChhh1ywME3f7I4VD07Zhzd8N9m0U4OD8nB8VFw+mvXrYpqDAhPA6VOKkSR
 v4CeNQGcCLtqQPI7xxz5z7rLQdIsc5/1y+J5ztHQf5WMl3naWEY1hTakqYHbtxnzYDK2CrWqA
 stQyLmD1+e2o0i7a5tRiMOO5pDN5SbFeEJMuew03oM4qMEiKnGHmkOeJS29e+fs0MBiqbs7FE
 xZW9sXuiasdrz/gi5qW1SU3Z/5gx6KT3S55r5Jo6Y72g1A3JyBVf07dxFVwHihLS739lZ7KqG
 xeiS2AtMjxYfBs=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50869-done
Cc: shuguang79@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Version: 28.2

Michael Albinus <michael.albinus@HIDDEN> writes:

Hi,

>> After load - unload - load tramp, I got an compile error:
>> Compiler-macro error for tramp-file-name-method: (void-function
>> tramp-file-name-method--cmacro) [7 times]
>>
>> How to replicate it:
>> - Start emacs
>> - load-libary tramp
>> - tramp-unload-tramp
>> - load-libary tramp
>> - tramp-unload-tramp
>> - load-libary tramp
>
> tramp-file-name-method--cmacro is a generated accessor function of the
> defstruct tramp-file-name. I'm not sure that this is native Tramp
> error.

I have rearranged Tramp's auoloads, it works now as expected. Pushed to
the git repositories. It will also be available with next Tramp ELPA
version 2.5.2.3.

Closing the bug.

>> Best Regards,
>> Shuguang Sun

Best regards, Michael.


------------=_1647528001-303-0--


Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: "Shuguang Sun" <shuguang79@HIDDEN>
Subject: bug#50869: closed (Re: bug#50869: 28.0.50; tramp: void-function
 tramp-file-name-method--cmacro)
Message-ID: <handler.50869.D50869.164752798032739.notifdone <at> debbugs.gnu.org>
References: <87pmmkiqxt.fsf@HIDDEN>
 <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
X-Gnu-PR-Message: they-closed 50869
X-Gnu-PR-Package: emacs
Reply-To: 50869 <at> debbugs.gnu.org
Date: Thu, 17 Mar 2022 14:40:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1647528002-303-1"

This is a multi-part message in MIME format...

------------=_1647528002-303-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

Your bug report

#50869: 28.0.50; tramp: void-function tramp-file-name-method--cmacro

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to 50869 <at> debbugs.gnu.org.

--=20
50869: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50869
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1647528002-303-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 50869-done) by debbugs.gnu.org; 17 Mar 2022 14:39:40 +0000
Received: from localhost ([127.0.0.1]:54901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nUrHv-0008Vy-SU
	for submit <at> debbugs.gnu.org; Thu, 17 Mar 2022 10:39:40 -0400
Received: from mout.gmx.net ([212.227.17.20]:48043)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1nUrHt-0008Vg-RT
 for 50869-done <at> debbugs.gnu.org; Thu, 17 Mar 2022 10:39:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1647527967;
 bh=wyKgEE8VLK8rS8vjoOyCTdt4KxHtqMk32qW6Pq9tgsI=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=D10JrvCuO/Kir/BISi0VWDLSwtvkdtPcGl2rkeT2Jv+djHuqpfmiWdRZ5Us5Uf10d
 +KkruE8KY08kXV9B3zmxQ4/gHCzNVipmUiMUUltf2pt/OJn2wFQl4z2+/oChcKMZUz
 1MeFAjVjN4mYR+bJ6R41MCbexZyU+sp0VMjmLTMA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.91.238.228]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MQ5vc-1ni0Rr0KX2-00M4bi; Thu, 17
 Mar 2022 15:39:27 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: 50869-done <at> debbugs.gnu.org
Subject: Re: bug#50869: 28.0.50; tramp: void-function
 tramp-file-name-method--cmacro
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
 <87tuhzcrje.fsf@HIDDEN>
Date: Thu, 17 Mar 2022 15:39:26 +0100
In-Reply-To: <87tuhzcrje.fsf@HIDDEN> (Michael Albinus's message of "Sat, 02
 Oct 2021 18:36:37 +0200")
Message-ID: <87pmmkiqxt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:YODH6Nxmd7UQBjq4llEA/63CN3ZKKqXNpJLjqhhdAknNvC9RJuw
 kzHHvEgWdLS/Hvj5PKP5DOBc3F2FsGi6+YfqGFYEMYu+4GeL79oddYOza/iGXb9avFrOXbN
 kq1N4UQkHpAZosquxkdIYUs8dxhTXgjrT6WSeW7V2ZBe0gQDzCMmW0V6XRdLpCBBKSA7ul8
 4/AAx8v75Qsd3dlrBMSzw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:UE2+WuvPF84=:gGLCow9wUa8w1uvI2lQroT
 wPE6xFmNuTbygIgudZXmIjBOTdsTObXqTCkLW+Sz8Z6O5ma+DvXNigLX9Bn98qDAO+4MKPxrb
 fTqANAtd+OuIwMS3cuOqrv9UpD9pJFUTbPAeCCsauU2pPsCFN4VDDksFXudjlgK9M/hh3snZm
 ITqUy6BDzwUXIOHoiwMA7WZJ3HcNf0++pKSDZ4xbEHYCyFF4SqlSdMRUMZQoka6OpX2FSzajz
 tEjHtNlVlc8w8ig5XQa+JxjmAGVU65MTGjUZZz7e4r7nDufAIPCJ7Q384gm/XCSmzSTIxKC27
 U77Q5oVyNYM9uMBKszdSjWG0JaBXaWrenrKUP05Ro24OXGeUhWSvbpPL2DTiOnR26U+bbzrcU
 HP8th/R3bDJ65k5lljaeENncbmJj8nC4Uds0ixdCUPMT+hhBddEejsZNL+SISsEgb3cNC4nx9
 vu3OuiQCVPaD0h2J8+lmN5p1rWZUZjHmcdPRjUnd1Mn5bNp6rFkSorNlgpJM3GSncaQUVs9uB
 VWXL0etf8g5N13Xq3OVmmRPpBk0J6comNcqExMhdq5EnXX0Wy5peceM2NydGWX/YeuLc/EiJR
 J3ZY2LbEJ4iwV3TfokfZUGYYKHueCdWKPyMrbaMg8yNzcWYmFTsqafQTlcU/NTrZ6qbvv3bFl
 eqGcg+/Cpbg6DWYfZPpLJkRet6tu4n4gLF3y1Zwqk42kyuOpzsPYX4iLtA9NKHVu87WGRUXYo
 yOkohsPQw7X8fI3MgC7NUqL1QQHgowifhhsIiJHyHtySVDiN2b9+V0n1woG0G1arExQpAP3Yw
 D+MHmonBbhaNr4LChhh1ywME3f7I4VD07Zhzd8N9m0U4OD8nB8VFw+mvXrYpqDAhPA6VOKkSR
 v4CeNQGcCLtqQPI7xxz5z7rLQdIsc5/1y+J5ztHQf5WMl3naWEY1hTakqYHbtxnzYDK2CrWqA
 stQyLmD1+e2o0i7a5tRiMOO5pDN5SbFeEJMuew03oM4qMEiKnGHmkOeJS29e+fs0MBiqbs7FE
 xZW9sXuiasdrz/gi5qW1SU3Z/5gx6KT3S55r5Jo6Y72g1A3JyBVf07dxFVwHihLS739lZ7KqG
 xeiS2AtMjxYfBs=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50869-done
Cc: shuguang79@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Version: 28.2

Michael Albinus <michael.albinus@HIDDEN> writes:

Hi,

>> After load - unload - load tramp, I got an compile error:
>> Compiler-macro error for tramp-file-name-method: (void-function
>> tramp-file-name-method--cmacro) [7 times]
>>
>> How to replicate it:
>> - Start emacs
>> - load-libary tramp
>> - tramp-unload-tramp
>> - load-libary tramp
>> - tramp-unload-tramp
>> - load-libary tramp
>
> tramp-file-name-method--cmacro is a generated accessor function of the
> defstruct tramp-file-name. I'm not sure that this is native Tramp
> error.

I have rearranged Tramp's auoloads, it works now as expected. Pushed to
the git repositories. It will also be available with next Tramp ELPA
version 2.5.2.3.

Closing the bug.

>> Best Regards,
>> Shuguang Sun

Best regards, Michael.


------------=_1647528002-303-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 28 Sep 2021 15:48:48 +0000
Received: from localhost ([127.0.0.1]:46751 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVFLb-0004bW-R3
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 11:48:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:46094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shuguang79@HIDDEN>) id 1mVFLY-0004bK-FE
 for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 11:48:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54748)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <shuguang79@HIDDEN>) id 1mVFLY-0005da-7E
 for bug-gnu-emacs@HIDDEN; Tue, 28 Sep 2021 11:48:44 -0400
Received: from out203-205-221-149.mail.qq.com ([203.205.221.149]:33497)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <shuguang79@HIDDEN>) id 1mVFLQ-0008Mj-Hu
 for bug-gnu-emacs@HIDDEN; Tue, 28 Sep 2021 11:48:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=qq.com; s=s201512;
 t=1632844105; bh=pGUQrHGdSJLLMhst1bQEHoxRO3Foc8WCCoo0os7fXjg=;
 h=From:To:Subject:Date;
 b=Mb6JGhDWWlrFGLkNzFeTu+zne7olAFlAFo1Ao1UVW2WayaOzoxnpiThRLoodoiDU/
 mb6fIs/vzmHGp/Fb+NcvJQ41nhbypWtM6vQtMs2zGMpoUSvBUyDdfREAN0uhPWl/0e
 OWyaJFKVJohbiclNXay0rrnlXCsW0PGHUvNxcTV0=
X-QQ-FEAT: oHWrrGTW1dBr498/DCRbsggS5C9bFJb1
X-QQ-SSF: 00000000000000F000000000000000G
X-QQ-XMAILINFO: OOWntbL6xj16fzRnOPK11yuTKWc1KCIqJzrRi9hDui18PUwRRi3yBIFQJgNgbf
 oKOlH0A0ObuNsuoE6a6FQEqJry9l8MlWZGOqUvWv6GVC040ZxyBTP7A5FPWnG7eGDtYob6dZhL61W
 3IfWxOvI+asFUAyOl3He6FIzk2xizxuIJTdJxKx0JLEgS3rP8Rnreg6hYehvITTDYBapjCRxf4TRW
 jtIFygEI9sHlV7FeFJBBfadPiWDYUrzYdZdGtahMtJHBzPUfEMe7rDnfOCGdM8gfh6W5TLM9NsyMS
 GDuJcdp9KEe7hv8gkz7gtVMU3cY/v5De2EBQl4uxlq2kRR+Vyn4mPY6nygi2FjRSRqZqtpAWbUKPH
 2Mk/GspJbHDiSy09NuFFX5mb/60C+K8yHDvt2JQmjHguyWF0FwNkVs0GPH1kUo6YlqtABG/t7ln8v
 r+CQw9MBP6okU3Iq1icBryBP/hClt8g+LoQWuXaLFglfViivJI4g/ZK3mjKnWkxC7DEHB7+gGNvsN
 OXc/WRGCvZQUP3tKIgWaldYIZ4cvQA6nBQ8fH9NEK4hK3kz25jbC3DfzteJnEhiopFfNP3IeItYgQ
 /ESjHFQ34H0gWsKtzqIQyH82fZ89t8JaBwWQ6qZSDlhsMRpekCcwURE7vV/udpSZ/1966+G7nIBe8
 TT3pgSpytad2ST2+gzSdzrlFqV6IwdF+khHj8ECUj1OR+5aieYj4USiVdnFmFupxnxJAOVxOW4Bm2
 sF5vo0cILzriElU0fYXlIW9unNwToJfA8LpnpTJ2M2Zui2gbxtkNUk+aemKknXTx6ARyfaphyf1wT
 d9dHwQJHCw0e2isenA/Ylpo=
X-HAS-ATTACH: no
X-QQ-BUSINESS-ORIGIN: 2
X-Originating-IP: 101.88.91.228
X-QQ-STYLE: 
X-QQ-mid: webmail225t1632842144t6662522
From: "=?ISO-8859-1?B?U2h1Z3VhbmcgU3Vu?=" <shuguang79@HIDDEN>
To: "=?ISO-8859-1?B?YnVnLWdudS1lbWFjcw==?=" <bug-gnu-emacs@HIDDEN>
Subject: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Mime-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----=_NextPart_615331A0_10376258_17F0FA3B"
Content-Transfer-Encoding: 8Bit
Date: Tue, 28 Sep 2021 23:15:44 +0800
X-Priority: 3
Message-ID: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
X-QQ-MIME: TCMime 1.0 by Tencent
X-Mailer: QQMail 2.x
X-QQ-Mailer: QQMail 2.x
Received-SPF: pass client-ip=203.205.221.149; envelope-from=shuguang79@HIDDEN;
 helo=out203-205-221-149.mail.qq.com
X-Spam_score_int: 30
X-Spam_score: 3.0
X-Spam_bar: +++
X-Spam_report: (3.0 / 5.0 requ) BAYES_40=-0.001, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, FROM_EXCESS_BASE64=0.001,
 HELO_DYNAMIC_IPADDR=1.951, HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, RDNS_DYNAMIC=0.982, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

This is a multi-part message in MIME format.

------=_NextPart_615331A0_10376258_17F0FA3B
Content-Type: text/plain;
	charset="ISO-8859-1"
Content-Transfer-Encoding: base64

SGksDQoNCg0KQWZ0ZXIgbG9hZCAtIHVubG9hZCAtIGxvYWQgdHJhbXAsIEkgZ290IGFuIGNv
bXBpbGUgZXJyb3I6DQpDb21waWxlci1tYWNybyBlcnJvciBmb3IgdHJhbXAtZmlsZS1uYW1l
LW1ldGhvZDogKHZvaWQtZnVuY3Rpb24gdHJhbXAtZmlsZS1uYW1lLW1ldGhvZC0tY21hY3Jv
KSBbNyB0aW1lc10NCg0KDQpIb3cgdG8gcmVwbGljYXRlIGl0Og0KLSBTdGFydCBlbWFjcw0K
LSBsb2FkLWxpYmFyeSB0cmFtcA0KLSB0cmFtcC11bmxvYWQtdHJhbXANCi0gbG9hZC1saWJh
cnkgdHJhbXANCi0gdHJhbXAtdW5sb2FkLXRyYW1wLSBsb2FkLWxpYmFyeSB0cmFtcA0KDQoN
Cg0KQmVzdCBSZWdhcmRzLA0KU2h1Z3VhbmcgU3VuDQoNCg0KDQpJbiBHTlUgRW1hY3MgMjgu
MC41MCAoYnVpbGQgMSwgeDg2XzY0LXc2NC1taW5ndzMyKQ0KJm5ic3A7b2YgMjAyMS0wOS0y
MSBidWlsdCBvbiANClJlcG9zaXRvcnkgcmV2aXNpb246IDViOTYyYTdhZDhkMGFjZmU0MGE0
MWNlMTM5MDU5YjljOGU0NmY2NjYNClJlcG9zaXRvcnkgYnJhbmNoOiBtYXN0ZXINCldpbmRv
d2luZyBzeXN0ZW0gZGlzdHJpYnV0b3IgJ01pY3Jvc29mdCBDb3JwLicsIHZlcnNpb24gMTAu
MC4xOTA0Mw0KU3lzdGVtIERlc2NyaXB0aW9uOiBNaWNyb3NvZnQgV2luZG93cyAxMCBQcm8g
KHYxMC4wLjIwMDkuMTkwNDMuMTIzNykNCg0KQ29uZmlndXJlZCB1c2luZzoNCiZuYnNwOydj
b25maWd1cmUgLS13aXRob3V0LXBvcCAtLXdpdGgtbmF0aXZlLWltYWdlLWFwaQ0KJm5ic3A7
LS13aXRoLW5hdGl2ZS1jb21waWxhdGlvbiAtLXdpdGhvdXQtY29tcHJlc3MtaW5zdGFsbA0K
Jm5ic3A7Jy0tcHJvZ3JhbS10cmFuc2Zvcm0tbmFtZT1zL15jdGFncyQvY3RhZ3MuZW1hY3Mv
Jyc=

------=_NextPart_615331A0_10376258_17F0FA3B
Content-Type: text/html;
	charset="ISO-8859-1"
Content-Transfer-Encoding: base64

PG1ldGEgaHR0cC1lcXVpdj0iQ29udGVudC1UeXBlIiBjb250ZW50PSJ0ZXh0L2h0bWw7IGNo
YXJzZXQ9R0IxODAzMCI+PGRpdj5IaSw8L2Rpdj48ZGl2Pjxicj48L2Rpdj48ZGl2PkFmdGVy
IGxvYWQgLSB1bmxvYWQgLSBsb2FkIHRyYW1wLCBJIGdvdCBhbiBjb21waWxlIGVycm9yOjwv
ZGl2PjxkaXY+Q29tcGlsZXItbWFjcm8gZXJyb3IgZm9yIHRyYW1wLWZpbGUtbmFtZS1tZXRo
b2Q6ICh2b2lkLWZ1bmN0aW9uIHRyYW1wLWZpbGUtbmFtZS1tZXRob2QtLWNtYWNybykgWzcg
dGltZXNdPC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj5Ib3cgdG8gcmVwbGljYXRlIGl0Ojwv
ZGl2PjxkaXY+LSBTdGFydCBlbWFjczwvZGl2PjxkaXY+LSBsb2FkLWxpYmFyeSB0cmFtcDwv
ZGl2PjxkaXY+LSB0cmFtcC11bmxvYWQtdHJhbXA8L2Rpdj48ZGl2Pi0gbG9hZC1saWJhcnkg
dHJhbXA8L2Rpdj48ZGl2Pi0gdHJhbXAtdW5sb2FkLXRyYW1wPGRpdj4tIGxvYWQtbGliYXJ5
IHRyYW1wPC9kaXY+PGRpdj48YnI+PC9kaXY+PC9kaXY+PGRpdj5CZXN0IFJlZ2FyZHMsPC9k
aXY+PGRpdj5TaHVndWFuZyBTdW48YnI+PC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj5JbiBH
TlUgRW1hY3MgMjguMC41MCAoYnVpbGQgMSwgeDg2XzY0LXc2NC1taW5ndzMyKTxicj4mbmJz
cDtvZiAyMDIxLTA5LTIxIGJ1aWx0IG9uIDxicj5SZXBvc2l0b3J5IHJldmlzaW9uOiA1Yjk2
MmE3YWQ4ZDBhY2ZlNDBhNDFjZTEzOTA1OWI5YzhlNDZmNjY2PGJyPlJlcG9zaXRvcnkgYnJh
bmNoOiBtYXN0ZXI8YnI+V2luZG93aW5nIHN5c3RlbSBkaXN0cmlidXRvciAnTWljcm9zb2Z0
IENvcnAuJywgdmVyc2lvbiAxMC4wLjE5MDQzPGJyPlN5c3RlbSBEZXNjcmlwdGlvbjogTWlj
cm9zb2Z0IFdpbmRvd3MgMTAgUHJvICh2MTAuMC4yMDA5LjE5MDQzLjEyMzcpPGJyPjxicj5D
b25maWd1cmVkIHVzaW5nOjxicj4mbmJzcDsnY29uZmlndXJlIC0td2l0aG91dC1wb3AgLS13
aXRoLW5hdGl2ZS1pbWFnZS1hcGk8YnI+Jm5ic3A7LS13aXRoLW5hdGl2ZS1jb21waWxhdGlv
biAtLXdpdGhvdXQtY29tcHJlc3MtaW5zdGFsbDxicj4mbmJzcDsnLS1wcm9ncmFtLXRyYW5z
Zm9ybS1uYW1lPXMvXmN0YWdzJC9jdGFncy5lbWFjcy8nJzxicj48YnI+PC9kaXY+

------=_NextPart_615331A0_10376258_17F0FA3B--




------------=_1647528002-303-1--


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50869: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 02 Apr 2022 21:10:01 +0000
Resent-Message-ID: <handler.50869.B50869.1648933765644 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50869
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Michael Albinus <michael.albinus@HIDDEN>
Cc: shuguang79@HIDDEN, 50869 <at> debbugs.gnu.org
Received: via spool by 50869-submit <at> debbugs.gnu.org id=B50869.1648933765644
          (code B ref 50869); Sat, 02 Apr 2022 21:10:01 +0000
Received: (at 50869) by debbugs.gnu.org; 2 Apr 2022 21:09:25 +0000
Received: from localhost ([127.0.0.1]:47042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nakzs-0000AJ-Tf
	for submit <at> debbugs.gnu.org; Sat, 02 Apr 2022 17:09:25 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:6628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1nakzq-00009x-V3
 for 50869 <at> debbugs.gnu.org; Sat, 02 Apr 2022 17:09:23 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 0923D80543;
 Sat,  2 Apr 2022 17:09:17 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 1345B8035A;
 Sat,  2 Apr 2022 17:09:15 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1648933755;
 bh=BlMfXtBpXR3ZFMjBWy6fi52+7YretKXXcYCwDzjagu4=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=ArQps9ilGqubyy+My6uDeU/bAWlMNuqaGXmrDo32EJYfMkimDQA8qCly1TKrwDQxK
 571yHJdM9UUr2rpon1P/eC2x8l4w4BGHlNPdYrdH5g4tmABADgivNstr2r2NEhJPDq
 aBRCavVxtb/qs1qKsMi/2s0zS54IF2V/GfnivCxH4Xzb2Hw4WRhyFHPsSyOPBGb1kx
 JEHIJmTaCd9UvXel3sgH8EXhi4JwwjflfcoztBvurkpObeLYYAXfMZY0A37FfGa2qO
 PEoavLN3k1dyHLXQyUj/W9uyavW8BpCMZY71lApH2dKMVUET0Ke6Lajjs/xlBiTTFQ
 BVfgfjpSSBYAg==
Received: from pastel (unknown [45.72.221.51])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 4A0641202E6;
 Sat,  2 Apr 2022 17:09:14 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwv7d87w6db.fsf-monnier+emacs@HIDDEN>
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
 <87tuhzcrje.fsf@HIDDEN>
Date: Sat, 02 Apr 2022 17:09:13 -0400
In-Reply-To: <87tuhzcrje.fsf@HIDDEN> (Michael Albinus's message of "Sat, 02
 Oct 2021 18:36:37 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.059 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain T_SCC_BODY_TEXT_LINE    -0.01 -
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> After load - unload - load tramp, I got an compile error:
>> Compiler-macro error for tramp-file-name-method: (void-function
>> tramp-file-name-method--cmacro) [7 times]

Note: this is not a compile error.  It's an error that happened during
expansion of a compiler-macro.  These are optional, so those errors only
affect the performance of the code but shouldn't affect its behavior.

IOW this sound more serious than it is.

>> How to replicate it:
>> - Start emacs
>> - load-libary tramp
>> - tramp-unload-tramp
>> - load-libary tramp
>> - tramp-unload-tramp
>> - load-libary tramp
>
> tramp-file-name-method--cmacro is a generated accessor function of the
> defstruct tramp-file-name. I'm not sure that this is native Tramp
> error. The backtrace shows as

`tramp-file-name-method--cmacro` is supposed to be a function which
inlines the code of calls to `tramp-file-name-method`.

More specifically `tramp-file-name-method--cmacro` is auto-generated
(and put on the `compiler-macro` property of the
`tramp-file-name-method` symbol) by the `cl-defsubst` used to define
`tramp-file-name-method`.

So I guess the source of the error is that unloading `tramp` undefines
the functions (both `tramp-file-name-method--cmacro` and
`tramp-file-name-method`) but leaves the `compiler-macro` property of the
`tramp-file-name-method` symbol.

We really should make it so package unloading knows how to undo
top-level `put`s.

In the men time, the `;;;###tramp-autoload` cookie placed before the
`cl-defstruct` seems to trip over another bug when I try to build the
package here:

    Debugger entered--Lisp error: (scan-error "Containing expression ends prematurely" 12345819 12345820)
      scan-sexps(12345782 3)
      forward-sexp(3)
      autoload-print-form((defvar cl-struct-tramp-file-name-tags))
    [...]

Maybe it's a bug in the locally-hacked Emacs I'm using to do the build,
tho.  Still, I suspect the cure might be not much better than the disease.


        Stefan





Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: bug No longer marked as fixed in versions 28.2 and reopened.
Date: Sun, 03 Apr 2022 15:41:02 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# bug No longer marked as fixed in versions 28.2 and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50869: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Resent-From: Michael Albinus <michael.albinus@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 03 Apr 2022 15:46:01 +0000
Resent-Message-ID: <handler.50869.B50869.16490007148661 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50869
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: shuguang79@HIDDEN, 50869 <at> debbugs.gnu.org
Received: via spool by 50869-submit <at> debbugs.gnu.org id=B50869.16490007148661
          (code B ref 50869); Sun, 03 Apr 2022 15:46:01 +0000
Received: (at 50869) by debbugs.gnu.org; 3 Apr 2022 15:45:14 +0000
Received: from localhost ([127.0.0.1]:49298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nb2Ph-0002FF-Qg
	for submit <at> debbugs.gnu.org; Sun, 03 Apr 2022 11:45:14 -0400
Received: from mout.gmx.net ([212.227.17.20]:55811)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1nb2Pe-00025b-IZ
 for 50869 <at> debbugs.gnu.org; Sun, 03 Apr 2022 11:45:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1649000697;
 bh=5+PeSj7kxPC+oXyG5gc2M0EZsW6xeWpf8mkhDQRmtZI=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=c6x5zHz6xOADQ4+lg5qQ6fAYDXr99pk6EnHZN3PGLDaNWc35ZanugznOg2JLf3g9K
 R5E8o8OFtEY2G5383308OPEWh15p7zFS/519/lma+RlF1hs1TniB+8s1MLpuVSMTmM
 NVGvomOCPFdQ0PhhJNszXAbkYtKDenX9LDEwInvk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.118.138]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1McYCb-1o8jjR4BIb-00cxUk; Sun, 03
 Apr 2022 17:44:57 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
 <87tuhzcrje.fsf@HIDDEN> <jwv7d87w6db.fsf-monnier+emacs@HIDDEN>
Date: Sun, 03 Apr 2022 17:44:55 +0200
In-Reply-To: <jwv7d87w6db.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Sat, 02 Apr 2022 17:09:13 -0400")
Message-ID: <87pmlydvd4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:XjhFVMU9D27znYqJBF5YkY5rdpYKlhU3Detkzcz0btgD7zx58Oc
 AoJccB9RyLu4vujLTvSvyvB3GJOEkfrcXEFgbAfdxYJvBGLdYwsHxefBobGP+SUxXMnJ6DS
 VMQv8xepmDRD4KAsIVuwWtFJqmiz1hV4nlpN76M31JVAG3Z44F6nE3LVk+c4YUq3xTnOcCD
 qPG93IdR+9V++hnRYaVvA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:/6Uy4WZMZr0=:APVpkK9kTHHFXREeiQ+GOX
 zLoVNPfbzshwRc/3X44iKjI6kPKzeGWWFGqM4XOVvI1x4mDJ1/UMtN5MGpCaWc1pUQAx/87J1
 4ghFPYZFkuWQYneeva1I+5Fe9Jwk5A3AXxrPOt3Fw0sr6W8ySJTpUIpVN/xqyDQjtrAN7qPI6
 S9oZYYw288lYi0qch5F320GyMQGFX6SNr3Ii45aUK/ldZjMU20gWd70mzM/+PGJxadyqfJlmF
 qAHR/slWLnOqut1plIJestU+UwMoPGTp655vhbb6uxwPOYgH+yM2F9yx88DwEHKI2i/YVO8QF
 FuIjtu33DY4pivn+r2YNkk3k8YD0c7u2aOLORiWFAAy0QqZF0rlQa5Q/edWXTJTlKPs2toAha
 kX6oO3QKYUhv5+XkaboIpx8VHuY+68sPx8SB5DFCSPF4Y3Jqn+b5m605rWonkeMEXNu8yhevc
 iUXw39v94AIY1hXo2GcbWjfHTI3I1AegVMTXOKdhDWxZ175WRoZVI9y6Vk0Sw6vgYVziSvqKA
 HX+sYQviFzvWiBownXE6qHIK577Lzp6U233dmlFF5+d3lx8XKJyJHmgVusDgJnO1xRPBPxNDJ
 68yitNdGbNNuGniYfw0JCdy9vt00pj71jUyxnQwj8Mq+3co87LiuaINLRJJCsek/gwB3yERMn
 MnAkkDSye258zn4LeI4v9JzfgrwUH3BFp8T+EKn2wVaqUBdMNfdi8MXEh+7AROi/ZadSsbGzu
 vQx7z3W/usad65NdM0YC2xm9TzqTeXKB+GWRGrPTGY5dMH1AOwXntK/XaIkakGx6BBT/XWxVy
 hq+YePMNjLQPxkzCbs8EPUa8nGlJeCujXEam2Oz48P1vGMP+CBgv8vEVL5PmJiG5UHrAG1N3T
 N54GfzksoxcgTOQvNJinpuJttMcTLrva5rFdMFdssivzu3/2n3O15ckOmS0/PcXLxh/CD2nfA
 IAwpICYNsbKkG9kZuS1PCa/nbOJ6GbVUYZqVEei2ecAKJwRnIP0bsf6yGz/pHTA2QiP+x0IRy
 7kB+AcyNHgcrLQR4z7zIltGsEvUwIMF3MvzkG9PkqiETRw52pJkbj3PcqXNYNhwoco0bRhgIa
 O+dyGd6yyZ5qQM=
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Stefan Monnier <monnier@HIDDEN> writes:

Hi Stefan,

> Note: this is not a compile error.  It's an error that happened during
> expansion of a compiler-macro.  These are optional, so those errors only
> affect the performance of the code but shouldn't affect its behavior.
>
> IOW this sound more serious than it is.
>
> `tramp-file-name-method--cmacro` is supposed to be a function which
> inlines the code of calls to `tramp-file-name-method`.
>
> More specifically `tramp-file-name-method--cmacro` is auto-generated
> (and put on the `compiler-macro` property of the
> `tramp-file-name-method` symbol) by the `cl-defsubst` used to define
> `tramp-file-name-method`.
>
> So I guess the source of the error is that unloading `tramp` undefines
> the functions (both `tramp-file-name-method--cmacro` and
> `tramp-file-name-method`) but leaves the `compiler-macro` property of the
> `tramp-file-name-method` symbol.
>
> We really should make it so package unloading knows how to undo
> top-level `put`s.

Honestly, I have no knowledge about the byte-compiler. I've reopened the
bug, so you can work on it.

> In the men time, the `;;;###tramp-autoload` cookie placed before the
> `cl-defstruct` seems to trip over another bug when I try to build the
> package here:
>
>     Debugger entered--Lisp error: (scan-error "Containing expression ends prematurely" 12345819 12345820)
>       scan-sexps(12345782 3)
>       forward-sexp(3)
>       autoload-print-form((defvar cl-struct-tramp-file-name-tags))
>     [...]
>
> Maybe it's a bug in the locally-hacked Emacs I'm using to do the build,
> tho.  Still, I suspect the cure might be not much better than the disease.

I extended tramp-test47-unload, which unloads / reloads Tramp. No error,
AFAICS. Feel free to fiddle with that test, in order to get it more
trustworthy in reproducing the problem.

>         Stefan

Best regards, Michael.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50869: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 02 Sep 2022 11:45:02 +0000
Resent-Message-ID: <handler.50869.B50869.16621190435661 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50869
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: shuguang79@HIDDEN, Michael Albinus <michael.albinus@HIDDEN>, 50869 <at> debbugs.gnu.org
Received: via spool by 50869-submit <at> debbugs.gnu.org id=B50869.16621190435661
          (code B ref 50869); Fri, 02 Sep 2022 11:45:02 +0000
Received: (at 50869) by debbugs.gnu.org; 2 Sep 2022 11:44:03 +0000
Received: from localhost ([127.0.0.1]:45112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oU55e-0001T8-OD
	for submit <at> debbugs.gnu.org; Fri, 02 Sep 2022 07:44:03 -0400
Received: from quimby.gnus.org ([95.216.78.240]:34756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oU55c-0001SK-KX
 for 50869 <at> debbugs.gnu.org; Fri, 02 Sep 2022 07:44:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Ep6yEkzPKFXHQIXUxKK6vE/Ctm11+AWLzYhkK+b4+L0=; b=vI1X+oy1y2Jy4lbQm+eYWrWjda
 2GwBowYxsEeI9bLf0bJb2Mvimogyx+ck1oO2JauQp6qOo0cghykThZpBk6qRfwEq/1c6PQsSyGLd8
 jXlLAjgav3JcLUK7Nr9Ug6A/UqQkZig8SsQCkzUNilrc2sjfqBBT0+CIP1/L29xslBnU=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oU55R-00055h-GN; Fri, 02 Sep 2022 13:43:51 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <jwv7d87w6db.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Sat, 02 Apr 2022 17:09:13 -0400")
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
 <87tuhzcrje.fsf@HIDDEN> <jwv7d87w6db.fsf-monnier+emacs@HIDDEN>
X-Now-Playing: The Cure's _Bloodflowers_: "Bloodflowers"
Date: Fri, 02 Sep 2022 13:43:48 +0200
Message-ID: <874jxqvw5n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: > So I
 guess
 the source of the error is that unloading `tramp` undefines > the functions
 (both `tramp-file-name-method--cmacro` and > `tramp-file-name-method`) but
 leaves the `compiler-macro` property [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

> So I guess the source of the error is that unloading `tramp` undefines
> the functions (both `tramp-file-name-method--cmacro` and
> `tramp-file-name-method`) but leaves the `compiler-macro` property of the
> `tramp-file-name-method` symbol.
>
> We really should make it so package unloading knows how to undo
> top-level `put`s.

Do you have any ideas for how to do that?

> In the men time, the `;;;###tramp-autoload` cookie placed before the
> `cl-defstruct` seems to trip over another bug when I try to build the
> package here:
>
>     Debugger entered--Lisp error: (scan-error "Containing expression ends prematurely" 12345819 12345820)
>       scan-sexps(12345782 3)
>       forward-sexp(3)
>       autoload-print-form((defvar cl-struct-tramp-file-name-tags))
>     [...]
>
> Maybe it's a bug in the locally-hacked Emacs I'm using to do the build,
> tho.  Still, I suspect the cure might be not much better than the disease.

Is this still an issue in Emacs 29?




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 2 Sep 2022 11:44:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 02 07:44:05 2022
Received: from localhost ([127.0.0.1]:45116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oU55h-0001TU-J0
	for submit <at> debbugs.gnu.org; Fri, 02 Sep 2022 07:44:05 -0400
Received: from quimby.gnus.org ([95.216.78.240]:34770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oU55e-0001SN-FK
 for control <at> debbugs.gnu.org; Fri, 02 Sep 2022 07:44:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=q8/DwVCgVObpghc6H3Toyvn3texjFM82wBjpYSnj52Y=; b=ZZXiOk2ChpSejk4qm0r2ASUT83
 fZbn10aTIYM7yUHF0e7M748QWYfg4oB9hVA0P3gbAYMJCUShAFCzRXMciZg0bGvs2ubex1OJUHZ3T
 lZM/oJjTSbSNF3SB8p/mb/hUQzN4xvulH6fggC8STvXKimK9KwmKKjXokYsUG7OKmv+4=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1oU55W-00055m-N6
 for control <at> debbugs.gnu.org; Fri, 02 Sep 2022 13:43:56 +0200
Date: Fri, 02 Sep 2022 13:43:54 +0200
Message-Id: <8735davw5h.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #50869
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 50869 + moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 50869 + moreinfo
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50869: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 02 Sep 2022 18:53:01 +0000
Resent-Message-ID: <handler.50869.B50869.16621447614199 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50869
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Michael Albinus <michael.albinus@HIDDEN>
Cc: shuguang79@HIDDEN, 50869 <at> debbugs.gnu.org
Received: via spool by 50869-submit <at> debbugs.gnu.org id=B50869.16621447614199
          (code B ref 50869); Fri, 02 Sep 2022 18:53:01 +0000
Received: (at 50869) by debbugs.gnu.org; 2 Sep 2022 18:52:41 +0000
Received: from localhost ([127.0.0.1]:40386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUBmS-00015f-OO
	for submit <at> debbugs.gnu.org; Fri, 02 Sep 2022 14:52:41 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:14073)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1oUBmQ-00015S-SP
 for 50869 <at> debbugs.gnu.org; Fri, 02 Sep 2022 14:52:39 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id DDF8380CFA;
 Fri,  2 Sep 2022 14:52:31 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 1C21780508;
 Fri,  2 Sep 2022 14:52:30 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1662144750;
 bh=zquUIlcA/yT5ePNzrknls2VFfSyMl00WEabCFlzcjlc=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=R31VH/EwajSgF/rBBjr/CL9cqWT5mthyaOm+OydpWFtazwk0FRizVGbMaxOid5YMG
 BH0NLZ4N12G4nu3YkoWdJ+CSHgbfNgIq+0BKHp9BtnliRBBblDH1qrFhYd93cNIE0Y
 lTYfXlbtOW1LkYkkv0mpLj5q6Eako7nohPC4DYA+Bjjd2trcgfBm4U2j3nS9Mugwpc
 KGCui377HJ3RbcRBd3HrrEawfS1z+0DVuWTJoAdiYdYatIt56hAZzym2KdyX1xMaoR
 Av2tS4JMOFj6ghuJ44MA3GbYnzQzsAVl/GvlWCk1zLioWL1R7bm79IiaA1xC33HSAg
 VBjF4N3PF0Tow==
Received: from pastel (unknown [157.52.9.190])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 3096112076C;
 Fri,  2 Sep 2022 14:52:29 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <87pmlydvd4.fsf@HIDDEN> (Michael Albinus's message of "Sun, 03
 Apr 2022 17:44:55 +0200")
Message-ID: <jwvczcd4ohz.fsf-monnier+emacs@HIDDEN>
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
 <87tuhzcrje.fsf@HIDDEN> <jwv7d87w6db.fsf-monnier+emacs@HIDDEN>
 <87pmlydvd4.fsf@HIDDEN>
Date: Fri, 02 Sep 2022 14:52:27 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.067 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain T_SCC_BODY_TEXT_LINE    -0.01 -
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Michael Albinus [2022-04-03 17:44:55] wrote:
> Stefan Monnier <monnier@HIDDEN> writes:
>> Note: this is not a compile error.  It's an error that happened during
>> expansion of a compiler-macro.  These are optional, so those errors only
>> affect the performance of the code but shouldn't affect its behavior.
>>
>> IOW this sound more serious than it is.
>>
>> `tramp-file-name-method--cmacro` is supposed to be a function which
>> inlines the code of calls to `tramp-file-name-method`.
>>
>> More specifically `tramp-file-name-method--cmacro` is auto-generated
>> (and put on the `compiler-macro` property of the
>> `tramp-file-name-method` symbol) by the `cl-defsubst` used to define
>> `tramp-file-name-method`.
>>
>> So I guess the source of the error is that unloading `tramp` undefines
>> the functions (both `tramp-file-name-method--cmacro` and
>> `tramp-file-name-method`) but leaves the `compiler-macro` property of the
>> `tramp-file-name-method` symbol.
>>
>> We really should make it so package unloading knows how to undo
>> top-level `put`s.
>
> Honestly, I have no knowledge about the byte-compiler. I've reopened the
> bug, so you can work on it.

The main point is that putting the `cl-defstruct` into the
`tramp-loaddefs.el` is really ugly and I think it's asking for trouble.
In contrast the OP's "errors" aren't actual errors, they're just
messages indicating that some optimization could not be applied.
We should really change the wording to clarify that they're warnings.

(see first hunk in patch below).

But in the mean time I'd much rather live with a harmless
"compiler-macro error" message than with a `cl-defstruct` in
a loaddefs file.

Lars Ingebrigtsen [2022-09-02 13:43:48] wrote:
> Stefan Monnier <monnier@HIDDEN> writes:
>> We really should make it so package unloading knows how to undo
>> top-level `put`s.
> Do you have any ideas for how to do that?

There are a few ways:
- We could let `unload-feature` remove compiler macros when present, as
  in the second hunk of the patch below.
- We could make `cl-defstruct` use `define-symbol-prop` rather than
  `put`, as in the third hunk of the patch below.


        Stefan

--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=comp-macro.patch

diff --git a/lisp/emacs-lisp/macroexp.el b/lisp/emacs-lisp/macroexp.el
index c3ba1b36d44..f4df40249de 100644
--- a/lisp/emacs-lisp/macroexp.el
+++ b/lisp/emacs-lisp/macroexp.el
@@ -110,7 +110,8 @@ macroexp--compiler-macro
       (let ((symbols-with-pos-enabled t))
         (apply handler form (cdr form)))
     (error
-     (message "Compiler-macro error for %S: Handler: %S\n%S" (car form) handler err)
+     (message "Warning: Optimization failure for %S: Handler: %S\n%S"
+              (car form) handler err)
      form)))
 
 (defun macroexp--funcall-if-compiled (_form)
diff --git a/lisp/loadhist.el b/lisp/loadhist.el
index b4ed0432465..76da002314b 100644
--- a/lisp/loadhist.el
+++ b/lisp/loadhist.el
@@ -171,6 +171,8 @@ loadhist-unload-element
     (cond
      ((null hist)
       (defalias fun nil)
+      (if (get fun 'compiler-macro) (put fun 'compiler-macro nil))
+      (if (get fun 'gv-expander)    (put fun 'gv-expander nil))
       ;; Override the change that `defalias' just recorded.
       (put fun 'function-history nil))
      ((equal (car hist) loadhist-unload-filename)
diff --git a/lisp/emacs-lisp/cl-macs.el b/lisp/emacs-lisp/cl-macs.el
index 80ca43c902a..b7fee7a3487 100644
--- a/lisp/emacs-lisp/cl-macs.el
+++ b/lisp/emacs-lisp/cl-macs.el
@@ -3570,7 +3570,7 @@ cl-define-compiler-macro
        (cl-defun ,fname ,(if (memq '&whole args) (delq '&whole args)
                            (cons '_cl-whole-arg args))
          ,@body)
-       (put ',func 'compiler-macro #',fname))))
+       (define-symbol-prop ',func 'compiler-macro #',fname))))
 
 ;;;###autoload
 (defun cl-compiler-macroexpand (form)

--=-=-=--





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50869: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 03 Sep 2022 10:08:02 +0000
Resent-Message-ID: <handler.50869.B50869.166219967614268 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50869
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Michael Albinus <michael.albinus@HIDDEN>
Cc: shuguang79@HIDDEN, Stefan Monnier <monnier@HIDDEN>, 50869 <at> debbugs.gnu.org
Received: via spool by 50869-submit <at> debbugs.gnu.org id=B50869.166219967614268
          (code B ref 50869); Sat, 03 Sep 2022 10:08:02 +0000
Received: (at 50869) by debbugs.gnu.org; 3 Sep 2022 10:07:56 +0000
Received: from localhost ([127.0.0.1]:41005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUQ4C-0003i4-5L
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2022 06:07:56 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45780)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oUQ4B-0003hp-0y
 for 50869 <at> debbugs.gnu.org; Sat, 03 Sep 2022 06:07:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=9VFJk5hLuTRvDcHEII3T+RIBpOKsS1H1FFen/503+Gc=; b=Fpfs7LaYtrM39UKRkFWkFiM+Ju
 h9I7vvh2WsKkP0bt2VH1Ezts9GT8AYAM03KSwQxeAykvAqeZlhdt1n/vxG5MrzSS69NZwASBslNg+
 z9exF//+Xn2JFDvpbEkBvTk3bWHYMU2bzRG0LPWef38PDYmB9YVDHOLZBBScCpYzVlfI=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oUQ41-0006Lm-8d; Sat, 03 Sep 2022 12:07:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <jwvczcd4ohz.fsf-monnier+emacs@HIDDEN> (Stefan Monnier via's
 message of "Fri, 02 Sep 2022 14:52:27 -0400")
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
 <87tuhzcrje.fsf@HIDDEN> <jwv7d87w6db.fsf-monnier+emacs@HIDDEN>
 <87pmlydvd4.fsf@HIDDEN> <jwvczcd4ohz.fsf-monnier+emacs@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEWjYJnVRnfUW6S5
 PE/SiFNPNkbNprfn19v////QDqkyAAAAAWJLR0QIht6VegAAAAd0SU1FB+YJAwktDtsv08cAAAFz
 SURBVDjLldO9boMwEADgCxLJbKOSNTYqO5B0rhQegDZ1Z6sSZkUdzOv3sLExhKjKjXzcjzEHO0J4
 UtVXvgpAINW5vlL/6CQaISILdV3PkAnh4LwAzHGlEK7lRo+kwig2oDJB7yCxUDwN1cYBCVs1cEAR
 GOfKxCIjK1muBhs6AJ6V+eBjmZF35qHsFhkIR/t2u4aP1FdaQ+ehDCApjnNG9ACG3wBeglIeGCPk
 dRsolkqVP7l2pTjFYmnnwWdw/LoEM1S3gHG4EWKl9oseZmpG03hvuuhB9tEMnKbSdtda9J8B8Hzq
 oXsh70D9A+2jUi08BT32eAhTD+pAG9CuOd4HDTKUEtDMF0WIhW6QCD6DVJfbm/0/Va9w/zhMgMv4
 pe0BZRcj/EQWcBGKd4jHbW0Q8DufAHaUmSYXYaKR8Q1yZc8x/g4OcCZsoGTuDphUDsRNfI+1JuAM
 pmhFc8BJEPJww05g7hEhXC8DByUBHAQEOBngwH9ep/uqWyemngAAACV0RVh0ZGF0ZTpjcmVhdGUA
 MjAyMi0wOS0wM1QwOTo0NToxNCswMDowMDzHEP4AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDkt
 MDNUMDk6NDU6MTQrMDA6MDBNmqhCAAAAAElFTkSuQmCC
X-Now-Playing: The Cure's _Three Imaginary Boys (1)_: "Fire In Cairo"
Date: Sat, 03 Sep 2022 12:07:43 +0200
Message-ID: <87r10shits.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN> writes: > The main point is
 that putting the `cl-defstruct` into the > `tramp-loaddefs.el` is really
 ugly and I think it's asking for trouble. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> The main point is that putting the `cl-defstruct` into the
> `tramp-loaddefs.el` is really ugly and I think it's asking for trouble.

The cl-defstruct is in there because a couple of defsubsts (that use the
struct) are also in the tramp-loaddefs.el file.  So if we remove the
defstruct, we also have to adjust the defsubsts.

> In contrast the OP's "errors" aren't actual errors, they're just
> messages indicating that some optimization could not be applied.
> We should really change the wording to clarify that they're warnings.
>
> (see first hunk in patch below).

Looks good.

> - We could make `cl-defstruct` use `define-symbol-prop` rather than
>   `put`, as in the third hunk of the patch below.

Makes sense to me.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50869: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 03 Sep 2022 19:09:02 +0000
Resent-Message-ID: <handler.50869.B50869.166223212130983 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50869
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: shuguang79@HIDDEN, Michael Albinus <michael.albinus@HIDDEN>, 50869 <at> debbugs.gnu.org
Received: via spool by 50869-submit <at> debbugs.gnu.org id=B50869.166223212130983
          (code B ref 50869); Sat, 03 Sep 2022 19:09:02 +0000
Received: (at 50869) by debbugs.gnu.org; 3 Sep 2022 19:08:41 +0000
Received: from localhost ([127.0.0.1]:43050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUYVV-00083f-1L
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2022 15:08:41 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:43819)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1oUYVU-00083T-1c
 for 50869 <at> debbugs.gnu.org; Sat, 03 Sep 2022 15:08:40 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 10498100C84;
 Sat,  3 Sep 2022 15:08:34 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 73A5F1002CB;
 Sat,  3 Sep 2022 15:08:28 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1662232108;
 bh=IoHi5Ri6HoWSo8YrE2kvJNBTOI2j0RzIGIfPZ6ytsyk=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=UwPhkavyRnycy+aYY5lGY6UzKZhABINSiZpdiKpFx+XFBEf1kvhQKUYWn0sc5Z8Z3
 NfXN06/6rCYAUmvjRbrLaWp4plDioQ/CJfumJK9ZVD8Z7O8LBKbVYuqtL953T7WGUa
 KuqwTD7mIcXLc/FaXb8HP6wejdFqQgAsHEL6mRKyDCDHYPsnyV9ZeC8tjZeVwKaNkb
 q71bpj26AvqH3MSKyggO/XorWfO82x2bUKC2bUr7Kfqd6XJWoUxXYoRtHR1NL3w0sr
 EEY6C9kEUVESGWnO0r+odOrm0jr9jR8tFYQcdEcaM8OosqrbR3ajDPwkBB8H8swxdt
 EtNpUZ7GJzk/Q==
Received: from pastel (unknown [157.52.9.190])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 343FE1204C5;
 Sat,  3 Sep 2022 15:08:28 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <87r10shits.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 03 Sep 2022 12:07:43 +0200")
Message-ID: <jwvfsh8xopt.fsf-monnier+emacs@HIDDEN>
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
 <87tuhzcrje.fsf@HIDDEN> <jwv7d87w6db.fsf-monnier+emacs@HIDDEN>
 <87pmlydvd4.fsf@HIDDEN> <jwvczcd4ohz.fsf-monnier+emacs@HIDDEN>
 <87r10shits.fsf@HIDDEN>
Date: Sat, 03 Sep 2022 15:08:26 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.044 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain T_SCC_BODY_TEXT_LINE    -0.01 -
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> The main point is that putting the `cl-defstruct` into the
>> `tramp-loaddefs.el` is really ugly and I think it's asking for trouble.
>
> The cl-defstruct is in there because a couple of defsubsts (that use the
> struct) are also in the tramp-loaddefs.el file.  So if we remove the
> defstruct, we also have to adjust the defsubsts.

Indeed, since this bug was reported, the rest of the code has grown more
dependent on duplicating the `cl-defstruct` to `tramp-loaddefs.el`.

> Looks good.
[...]
> Makes sense to me.

Pushed to `master`.  This should fix this bug, which means we may want
to update the comment:

    ;; The basic structure for remote file names.  We must autoload it in
    ;; tramp-loaddefs.el, because some functions, which need it, wouldn't
    ;; work otherwise when unloading / reloading Tramp.  (Bug#50869)

to clarify that it's now still kept in `tramp-loaddefs` but for
other reasons.


        Stefan





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50869: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Resent-From: Michael Albinus <michael.albinus@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 04 Sep 2022 14:54:02 +0000
Resent-Message-ID: <handler.50869.B.166230322812378 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50869
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: 50869 <at> debbugs.gnu.org
Cc: larsi@HIDDEN, shuguang79@HIDDEN, monnier@HIDDEN
X-Debbugs-Original-To: Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-Debbugs-Original-Cc: Lars Ingebrigtsen <larsi@HIDDEN>, shuguang79@HIDDEN, Stefan Monnier <monnier@HIDDEN>, 50869 <at> debbugs.gnu.org
Received: via spool by submit <at> debbugs.gnu.org id=B.166230322812378
          (code B ref -1); Sun, 04 Sep 2022 14:54:02 +0000
Received: (at submit) by debbugs.gnu.org; 4 Sep 2022 14:53:48 +0000
Received: from localhost ([127.0.0.1]:45408 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUr0O-0003DZ-Gj
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 10:53:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:50140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1oUr0M-0003DS-T0
 for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 10:53:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52700)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael.albinus@HIDDEN>)
 id 1oUr0M-00063f-OI
 for bug-gnu-emacs@HIDDEN; Sun, 04 Sep 2022 10:53:46 -0400
Received: from mout.gmx.net ([212.227.17.20]:37451)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael.albinus@HIDDEN>)
 id 1oUr0K-0008W2-Ou
 for bug-gnu-emacs@HIDDEN; Sun, 04 Sep 2022 10:53:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1662303208;
 bh=I4WQhajqTC1JRLXUk5XyV/HLwmOkv1nDrxIj+R6Qv34=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=A60qtnIoYlp4wWWjixPKoMSLMTtuNRgUFL9cnNuJ4lR60Dw+BCkdkIS/Tn0h5e8dF
 jXMWBLC+3VCx9xDGVqhEW1uTaIlpPemQozVhW/RqaB/UEnjfCr+WUYNIso/V79GL0H
 DaOojQQYdRGjigw52fWIThmI94sBBtQeOOR6oXHE=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.149.173]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MRTRN-1ohHaP2TSf-00NO9v; Sun, 04
 Sep 2022 16:53:28 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
In-Reply-To: <jwvfsh8xopt.fsf-monnier+emacs@HIDDEN> (Stefan Monnier via's
 message of "Sat, 03 Sep 2022 15:08:26 -0400")
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
 <87tuhzcrje.fsf@HIDDEN> <jwv7d87w6db.fsf-monnier+emacs@HIDDEN>
 <87pmlydvd4.fsf@HIDDEN> <jwvczcd4ohz.fsf-monnier+emacs@HIDDEN>
 <87r10shits.fsf@HIDDEN> <jwvfsh8xopt.fsf-monnier+emacs@HIDDEN>
Date: Sun, 04 Sep 2022 16:53:27 +0200
Message-ID: <87zgff9ons.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:13f/X2xpIUw3gKcyBkhfb0ktqJqoAjxzafXmAacEOPqH2JKAFGh
 5C/XfxkjI0aA/S5BZnNjm844IKEeY+pQNK6cl+/GPwaNyqEGtTxoAnF+ovSWkseBl/cJkPW
 dRH6NRz7XibolFWLkHWZQZ/vEaJY1fF0Bs2R18tu9Hk4wOoVcb/s9XbYXsnkqhRGYQSvx3I
 m5D3v+Q6eV2jl4BbUx4hw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:fU2C0EDHYuE=:vCCwCjELPOOtO1AOCs0a/l
 Kdqfm4ohUU/YUhEtydLxuJ6Pi3fUEx4csbY6uXPxJ964ps+yaZnDS/SHtLGFD4nnAPPnXaEbO
 7NdjIEmunb6hws7PPoxMVMaTTfNi8RDPoiQhaRyqDp8bJqL0ekBDK2Ey8r73+fACjT2PDKWGt
 IfruwRJhTwFKTS5R9e7DoDpgsPtTT9EZRWoTtPtNCQzZ07b09DbvzlCCLh+z4QDbET691Kkoi
 R64Z2PSKhNPMfp5qe+Ni+55hyPBQ/PNCSP1adnZRD0xW3HsyAGxMbeNeehtrPApKLwLrsOa71
 W3G2lshSMcWdGJgYaOitgrN5AtMSbMAo1lHWaEJTRkIwbkUlDG7b63DdkX6vrEpemmPU2pLxi
 o45EL9MG3SR2gu9n0VxEII/YxXXGKGkDVvzHP5lsl2tnEj9z8WQBuSAEkm09qgZEvt2DfYc/C
 2o0GuO/GAK+6LATy/QlT0p+o4kuX6oBGv7Pnk6+OlOljgGtSjsiL+H7Qrv9XWW2gvnt8hPO21
 dDHlPh78GoX6eTvbz36ftEwHUr/BKrrE35xdBW8PFJ+K/blMREoYzlaJFBwKay+I7DPvI7npW
 KQJgt4JGUVnCQXGw3ZKZnMps7R99Zm5YOGU4tPirQFi/xEdUmSwUPTPVLNzEOvVYg4MGskPon
 JDnvSP9SrF9ZojYIOEKXfEDKdKEz6RpdRdYzMkmwi5ika066j2LEPbV7o2cjpMRtwiqVha+3M
 QcijghTakSu8aKgjGm4Ywp6EdS8MOVz+cQILprmwmVr4qqNVl9Ty7ldqYZvBdT4br2/090t04
 nseA8O9k02tilOXiag23/3OAKPtgqFrj0ZRpU3fn+CLTdH2emoDDtgvqDpu7nF3whOqrPPkkM
 OoZvo+66MZj8Icd7Ttbzbk/dzSMfvph+/SV56ZJqwCbFUwMqQr8KY/JroVKPTtvUywiGQt1Ry
 jOu3h3PNPz3bKSbGJ7IaH9XFuP/zSgXy8ZCSh3G7zp/OEZtSZnENE/xxT7fVD0VyrZaUhVTp7
 woAp7MF4u7OYCPICB0Pwai0cIT+eB/ukBCy7FE4QLEq0moP7/aJnE7Odn0QPvXxrcmNkU94oq
 ML6ZiyEBlLY5IaF3K0HQqLED8U/QzPmOEeJT6jK3KmAgHjBsTdcC94hfeOjk7jc3rvCQX1zbV
 ZLckluoJiYmlM96zRcJHqemmSB
Received-SPF: pass client-ip=212.227.17.20;
 envelope-from=michael.albinus@HIDDEN; helo=mout.gmx.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> Pushed to `master`.  This should fix this bug, which means we may want
> to update the comment:
>
>     ;; The basic structure for remote file names.  We must autoload it in
>     ;; tramp-loaddefs.el, because some functions, which need it, wouldn't
>     ;; work otherwise when unloading / reloading Tramp.  (Bug#50869)
>
> to clarify that it's now still kept in `tramp-loaddefs` but for
> other reasons.

Somehow, I don't understand the compiler machinery. Hmm.

What comment you'd like to use instead? Remember, Tramp is backward
compatible down to Emacs 26.

>         Stefan

Best regards, Michael.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50869: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Resent-From: Michael Albinus <michael.albinus@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 04 Sep 2022 14:54:02 +0000
Resent-Message-ID: <handler.50869.B50869.166230322412361 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50869
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: 50869 <at> debbugs.gnu.org
Cc: larsi@HIDDEN, shuguang79@HIDDEN, monnier@HIDDEN
X-Debbugs-Original-To: Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-Debbugs-Original-Cc: Lars Ingebrigtsen <larsi@HIDDEN>, shuguang79@HIDDEN, Stefan Monnier <monnier@HIDDEN>, 50869 <at> debbugs.gnu.org
Received: via spool by 50869-submit <at> debbugs.gnu.org id=B50869.166230322412361
          (code B ref 50869); Sun, 04 Sep 2022 14:54:02 +0000
Received: (at 50869) by debbugs.gnu.org; 4 Sep 2022 14:53:44 +0000
Received: from localhost ([127.0.0.1]:45405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUr0K-0003DI-7q
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 10:53:44 -0400
Received: from mout.gmx.net ([212.227.17.20]:38877)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1oUr0I-0003D5-LG
 for 50869 <at> debbugs.gnu.org; Sun, 04 Sep 2022 10:53:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1662303208;
 bh=I4WQhajqTC1JRLXUk5XyV/HLwmOkv1nDrxIj+R6Qv34=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=A60qtnIoYlp4wWWjixPKoMSLMTtuNRgUFL9cnNuJ4lR60Dw+BCkdkIS/Tn0h5e8dF
 jXMWBLC+3VCx9xDGVqhEW1uTaIlpPemQozVhW/RqaB/UEnjfCr+WUYNIso/V79GL0H
 DaOojQQYdRGjigw52fWIThmI94sBBtQeOOR6oXHE=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.149.173]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MRTRN-1ohHaP2TSf-00NO9v; Sun, 04
 Sep 2022 16:53:28 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
In-Reply-To: <jwvfsh8xopt.fsf-monnier+emacs@HIDDEN> (Stefan Monnier via's
 message of "Sat, 03 Sep 2022 15:08:26 -0400")
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
 <87tuhzcrje.fsf@HIDDEN> <jwv7d87w6db.fsf-monnier+emacs@HIDDEN>
 <87pmlydvd4.fsf@HIDDEN> <jwvczcd4ohz.fsf-monnier+emacs@HIDDEN>
 <87r10shits.fsf@HIDDEN> <jwvfsh8xopt.fsf-monnier+emacs@HIDDEN>
Date: Sun, 04 Sep 2022 16:53:27 +0200
Message-ID: <87zgff9ons.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:13f/X2xpIUw3gKcyBkhfb0ktqJqoAjxzafXmAacEOPqH2JKAFGh
 5C/XfxkjI0aA/S5BZnNjm844IKEeY+pQNK6cl+/GPwaNyqEGtTxoAnF+ovSWkseBl/cJkPW
 dRH6NRz7XibolFWLkHWZQZ/vEaJY1fF0Bs2R18tu9Hk4wOoVcb/s9XbYXsnkqhRGYQSvx3I
 m5D3v+Q6eV2jl4BbUx4hw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:fU2C0EDHYuE=:vCCwCjELPOOtO1AOCs0a/l
 Kdqfm4ohUU/YUhEtydLxuJ6Pi3fUEx4csbY6uXPxJ964ps+yaZnDS/SHtLGFD4nnAPPnXaEbO
 7NdjIEmunb6hws7PPoxMVMaTTfNi8RDPoiQhaRyqDp8bJqL0ekBDK2Ey8r73+fACjT2PDKWGt
 IfruwRJhTwFKTS5R9e7DoDpgsPtTT9EZRWoTtPtNCQzZ07b09DbvzlCCLh+z4QDbET691Kkoi
 R64Z2PSKhNPMfp5qe+Ni+55hyPBQ/PNCSP1adnZRD0xW3HsyAGxMbeNeehtrPApKLwLrsOa71
 W3G2lshSMcWdGJgYaOitgrN5AtMSbMAo1lHWaEJTRkIwbkUlDG7b63DdkX6vrEpemmPU2pLxi
 o45EL9MG3SR2gu9n0VxEII/YxXXGKGkDVvzHP5lsl2tnEj9z8WQBuSAEkm09qgZEvt2DfYc/C
 2o0GuO/GAK+6LATy/QlT0p+o4kuX6oBGv7Pnk6+OlOljgGtSjsiL+H7Qrv9XWW2gvnt8hPO21
 dDHlPh78GoX6eTvbz36ftEwHUr/BKrrE35xdBW8PFJ+K/blMREoYzlaJFBwKay+I7DPvI7npW
 KQJgt4JGUVnCQXGw3ZKZnMps7R99Zm5YOGU4tPirQFi/xEdUmSwUPTPVLNzEOvVYg4MGskPon
 JDnvSP9SrF9ZojYIOEKXfEDKdKEz6RpdRdYzMkmwi5ika066j2LEPbV7o2cjpMRtwiqVha+3M
 QcijghTakSu8aKgjGm4Ywp6EdS8MOVz+cQILprmwmVr4qqNVl9Ty7ldqYZvBdT4br2/090t04
 nseA8O9k02tilOXiag23/3OAKPtgqFrj0ZRpU3fn+CLTdH2emoDDtgvqDpu7nF3whOqrPPkkM
 OoZvo+66MZj8Icd7Ttbzbk/dzSMfvph+/SV56ZJqwCbFUwMqQr8KY/JroVKPTtvUywiGQt1Ry
 jOu3h3PNPz3bKSbGJ7IaH9XFuP/zSgXy8ZCSh3G7zp/OEZtSZnENE/xxT7fVD0VyrZaUhVTp7
 woAp7MF4u7OYCPICB0Pwai0cIT+eB/ukBCy7FE4QLEq0moP7/aJnE7Odn0QPvXxrcmNkU94oq
 ML6ZiyEBlLY5IaF3K0HQqLED8U/QzPmOEeJT6jK3KmAgHjBsTdcC94hfeOjk7jc3rvCQX1zbV
 ZLckluoJiYmlM96zRcJHqemmSB
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> Pushed to `master`.  This should fix this bug, which means we may want
> to update the comment:
>
>     ;; The basic structure for remote file names.  We must autoload it in
>     ;; tramp-loaddefs.el, because some functions, which need it, wouldn't
>     ;; work otherwise when unloading / reloading Tramp.  (Bug#50869)
>
> to clarify that it's now still kept in `tramp-loaddefs` but for
> other reasons.

Somehow, I don't understand the compiler machinery. Hmm.

What comment you'd like to use instead? Remember, Tramp is backward
compatible down to Emacs 26.

>         Stefan

Best regards, Michael.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50869: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 04 Sep 2022 16:45:02 +0000
Resent-Message-ID: <handler.50869.B50869.166230988123179 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50869
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Michael Albinus <michael.albinus@HIDDEN>
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, shuguang79@HIDDEN, 50869 <at> debbugs.gnu.org
Received: via spool by 50869-submit <at> debbugs.gnu.org id=B50869.166230988123179
          (code B ref 50869); Sun, 04 Sep 2022 16:45:02 +0000
Received: (at 50869) by debbugs.gnu.org; 4 Sep 2022 16:44:41 +0000
Received: from localhost ([127.0.0.1]:45549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUsjh-00061n-69
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 12:44:41 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:4430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1oUsjc-00061W-2A
 for 50869 <at> debbugs.gnu.org; Sun, 04 Sep 2022 12:44:39 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 538FF440914;
 Sun,  4 Sep 2022 12:44:29 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id C008344053A;
 Sun,  4 Sep 2022 12:44:27 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1662309867;
 bh=lOGNre6xCtedD6NOhqWAgMlRc3+XiCBGtOSINbPnVnM=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=i0ZXLLXTZ8a3eXYjbIw6aRIEDc+Wk71yHNX+DpNFYmGErX7hZZwjOesZ+aZznd5Sm
 e+welA4UNR951WaYgCiSXvmFg41mAefz/8e7h38Oo5dk9F6DjLYkdab/n/DDjkHrez
 do+fOmGbwUjQRX1QVQ5fkpwMhEXXEqQX7XTkEUt9FoXwWqcVFKhl9iiri4fzqBlBoN
 ttGZ3TXVciQ8vQKeNmnvXfly2Y1j5AqycAOIIruBBWtpPCeamSec/2J0IVy9HhWqB8
 7T9x1rFl+dLlSNb6RJLNFK5RWrGfCGkj9dus8NvEpFQ3+srXaooFUYbEWixj6pkVr8
 7eyeaN/+s53IQ==
Received: from pastel (unknown [157.52.9.190])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 773241207FD;
 Sun,  4 Sep 2022 12:44:27 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <87zgff9ons.fsf@HIDDEN> (Michael Albinus's message of "Sun, 04
 Sep 2022 16:53:27 +0200")
Message-ID: <jwv35d7umbg.fsf-monnier+emacs@HIDDEN>
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
 <87tuhzcrje.fsf@HIDDEN> <jwv7d87w6db.fsf-monnier+emacs@HIDDEN>
 <87pmlydvd4.fsf@HIDDEN> <jwvczcd4ohz.fsf-monnier+emacs@HIDDEN>
 <87r10shits.fsf@HIDDEN> <jwvfsh8xopt.fsf-monnier+emacs@HIDDEN>
 <87zgff9ons.fsf@HIDDEN>
Date: Sun, 04 Sep 2022 12:44:24 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.034 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain T_SCC_BODY_TEXT_LINE    -0.01 -
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Albinus [2022-09-04 16:53:27] wrote:
> Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <bug-gnu-emacs@HIDDEN> writes:
>
>> Pushed to `master`.  This should fix this bug, which means we may want
>> to update the comment:
>>
>>     ;; The basic structure for remote file names.  We must autoload it in
>>     ;; tramp-loaddefs.el, because some functions, which need it, wouldn't
>>     ;; work otherwise when unloading / reloading Tramp.  (Bug#50869)
>>
>> to clarify that it's now still kept in `tramp-loaddefs` but for
>> other reasons.
>
> Somehow, I don't understand the compiler machinery. Hmm.

In `master`, the unload problem described in bug#50869 has been fixed.
So the above comment suggests that we could remove the
`;;;###tramp-autoload` cookie in front of the `cl-defstruct`, but if you
do that, you get into other problems because the current Tramp code puts
other thins in `tramp-loaddefs.el` which also require this
`cl-defstruct` to be evaluated first.

> What comment you'd like to use instead? Remember, Tramp is backward
> compatible down to Emacs 26.

Something like

    ;; The basic structure for remote file names.

    ;; Note: We started autoloading it in tramp-loaddefs.el, because some
    ;; functions, which needed it, wouldn't work otherwise when unloading
    ;; / reloading Tramp (Bug#50869).
    ;; This bug is fixed in Emacs-29, but other parts of Tramp have grown
    ;; dependencies on having this in `tramp-loaddefs.el` in the mean time,
    ;; so .... here we are.

?


-- Stefan





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50869: 28.0.50; tramp: void-function tramp-file-name-method--cmacro
Resent-From: Michael Albinus <michael.albinus@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 04 Sep 2022 17:28:01 +0000
Resent-Message-ID: <handler.50869.B50869.166231247627612 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50869
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Stefan Monnier <monnier@HIDDEN>
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, shuguang79@HIDDEN, 50869 <at> debbugs.gnu.org
Received: via spool by 50869-submit <at> debbugs.gnu.org id=B50869.166231247627612
          (code B ref 50869); Sun, 04 Sep 2022 17:28:01 +0000
Received: (at 50869) by debbugs.gnu.org; 4 Sep 2022 17:27:56 +0000
Received: from localhost ([127.0.0.1]:45609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUtPX-0007BI-LY
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 13:27:55 -0400
Received: from mout.gmx.net ([212.227.17.21]:42701)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1oUtPT-0007Aq-Dh
 for 50869 <at> debbugs.gnu.org; Sun, 04 Sep 2022 13:27:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1662312459;
 bh=iCHyX4vR/4ryYvmLKoXTHryKUIV1HRQLEuqjwEUy1zM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=HROnPzfucaeMrzHrQvWihu/F7Cj//hofivpKquCVdtAxXN1uiFK5TygzRoLYTcEVy
 nwSLgkdvrHVr1Kg9rini6SUBZYlyyKl0DbZ1HuhBBv1eE0enTVGyOJ6RjoLEO7tUoX
 R5+JjJVlaczFZveFRNENMdwDTuEz7I6HYMRmbyOA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.149.173]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mk0NU-1pEvXX0ivg-00kOaT; Sun, 04
 Sep 2022 19:27:39 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
In-Reply-To: <jwv35d7umbg.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Sun, 04 Sep 2022 12:44:24 -0400")
References: <tencent_06D5B48DCE90BFE09C727D8113226B05B805@HIDDEN>
 <87tuhzcrje.fsf@HIDDEN> <jwv7d87w6db.fsf-monnier+emacs@HIDDEN>
 <87pmlydvd4.fsf@HIDDEN> <jwvczcd4ohz.fsf-monnier+emacs@HIDDEN>
 <87r10shits.fsf@HIDDEN> <jwvfsh8xopt.fsf-monnier+emacs@HIDDEN>
 <87zgff9ons.fsf@HIDDEN> <jwv35d7umbg.fsf-monnier+emacs@HIDDEN>
Date: Sun, 04 Sep 2022 19:27:37 +0200
Message-ID: <875yi3aw3a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:9uddghpDuuXwwy5iTYUrBOzaHLS/8IHoVU8aqqhBFjRKFIGW7xP
 sjMtXrQz7inc0Xg5Q3NTm+kOpoHzWTLPqx7KEzQ/aEKh/WDCHlzBUQWz4pSLtk2eFSURxAk
 SbAJvbgA3TAPKp1eGe+p0mIIEhkRaGzA/VBr0kdW2pSIfJi/YkzffVsHq6rB2MTaujh5VAd
 xph7eJYbPpMywcQse6QZw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:w3FfXiZoS8g=:wiQEUe/inUo3G+Kk7L70q7
 jTmtI/O+HXqtXvR65tSHl1UDhTcx0bzxWfFuL2Ta+laBjGFrNehzb5aEBOlZ3Gt5dE/92R4rA
 MtCJECfOhoLJ8ZmSApsFRjjTyvi/VDiROk2avgsCspQWDXJ136nG4v6EHmQ3nP1hTgSn60kUS
 x0BzvJI79J7ki7+QfqOKkvUEcZvmoo5bM4wxW2Fg+ksS6qsMO+l2NrmAU5zMUWUkKeRJx7Ocp
 KhWrlWuedDqys1JmXCXUz3EFVUff9vsWZGigW2rh9wTRP8dELM5VxGPTKupF1h6qLDRZ8F3I3
 QIjxCuJl2RTc6KrIrpcJm4m2WKQvsr5wIhwXFHUGvTFl/yyv3q6/ByBznkQgEMYo5A+u1Aqd0
 0jFjZZKYURIiFSTV8CQcXl65lnBBFuiaYSh0PyqNPTlFbCdQrt2T3lYNhgSAxDMKokYeJ+mPq
 ea6W42XxkSyTcZs+CZq0eJ54nDfqVW+B4D9dMBikHiklOHmmDsVp8XvrTC+JxF3u2xqOfs2E9
 +E03n0RQ6iFXk1g2Jtl3L7m+GLO4JRJ9Asu2llFjfpvXu/9HhI8KkuoFx283t8yUKRg0ZtU0L
 EIkARWOtPrOrY+2qI9yga9uIgQTGQYQAxGz50DxkdCKB1svyJkpqdF3b9psBHQwSFREwuyTTm
 6yQj/E5fuXmDlkzKhX4/IPDYqhoWXBNJ8MO25g1yn7h2PR+EhMT3qWm7M8uCA1ZSTbwY7Aqe/
 X/WsQA3aZ/tMO2A8Pc8BKzUZr5J8h6gV9hxKYHvcbDZnJBC+wayqK65/5AxObmbnGKDVCURHp
 9yWQ5zXJS4zTKLKxKzeZLKLhuk2zAvijxAet7LPnZWwF57dEcs7j+bhujq+1WSKLVIzQyguQb
 4eDsDpicB6+pCNuZ+h/96tDYYtosqmdoIdpnPZRMCrvQCsu0fZUCbYDssmcPb+N/YPUlLFFl2
 EvUOpIg6nEGZTRIolUjRH7ZLKX66L1l+ZpLbaSqRgukpeyUSP42ecgb7b2TZItx9eqOOudn2L
 XoEnhJH+LpsuNht9Kboxia+175/9aBhDz+mwdDZYq9vdookT0thvuQgWxYaW5YpdQiVZhR7VQ
 l/nTb7Slqqjvjr75zWp2wIDQzhTR8Y03mnxwSTwKFGhMMYET2XoO0skWy0QqsIv12oi2Ll9nh
 VE220n7sO4v4/CfD5reO+oBHUV
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Stefan Monnier <monnier@HIDDEN> writes:

Hi Stefan,

>> What comment you'd like to use instead? Remember, Tramp is backward
>> compatible down to Emacs 26.
>
> Something like
>
>     ;; The basic structure for remote file names.
>
>     ;; Note: We started autoloading it in tramp-loaddefs.el, because some
>     ;; functions, which needed it, wouldn't work otherwise when unloading
>     ;; / reloading Tramp (Bug#50869).
>     ;; This bug is fixed in Emacs-29, but other parts of Tramp have grown
>     ;; dependencies on having this in `tramp-loaddefs.el` in the mean time,
>     ;; so .... here we are.

Thanks, applied to master.

The question remains if we shall fix something else for this bug, or
whether we can regard it as solved.

> -- Stefan

Best regards, Michael.





Last modified: Sun, 4 Sep 2022 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.